ChangeLog
=========

This is the ChangeLog file for the Coin-2 module.  This file is supposed to
be automatically generated every night.  Entries are in reversed chronological
order.  Check also out the following ChangeLog files:

  docs/ChangeLog.1999
  docs/ChangeLog.2000
  docs/ChangeLog.2001
  docs/ChangeLog.2002
  docs/ChangeLog.v2.0.0
  docs/ChangeLog.v2.0.1
  docs/ChangeLog.v2.0.2
  docs/ChangeLog.v2.1.0
  docs/ChangeLog.v2.2.0
  docs/ChangeLog.v2.2.1
  docs/ChangeLog.v2.3.0
  docs/ChangeLog.v2.4.0
  docs/ChangeLog.v2.4.1
  docs/ChangeLog.v2.4.2
  docs/ChangeLog.v2.4.3
  docs/ChangeLog.v2.4.4
  docs/ChangeLog.v2.4.5

See http://www.red-bean.com/~kfogel/cvs2cl.shtml for information about the
cvs2cl script used to generate this file.

============================================================================

2006-04-30 17:39  larsa

	* Makefile.am, NEWS, README, configure.ac,
	build/msvc6/include/config-debug.h,
	build/msvc6/include/config-release.h,
	build/msvc7/include/config-debug.h,
	build/msvc7/include/config-release.h,
	build/msvc8/include/config-debug.h,
	build/msvc8/include/config-release.h, docs/announcement-2_4_5.txt:
	
	version bump to v2.4.5

2006-04-30 17:23  larsa

	* build/: README, buildfiles.tar.gz:
	
	snapshot of pre-libtool-upgrade build files

2006-04-30 00:17  larsa

	* build/: msvc6/data/draggerDefaults/centerballDragger.h,
	msvc6/data/draggerDefaults/directionalLightDragger.h,
	msvc6/data/draggerDefaults/dragPointDragger.h,
	msvc6/data/draggerDefaults/handleBoxDragger.h,
	msvc6/data/draggerDefaults/jackDragger.h,
	msvc6/data/draggerDefaults/pointLightDragger.h,
	msvc6/data/draggerDefaults/rotateCylindricalDragger.h,
	msvc6/data/draggerDefaults/rotateDiscDragger.h,
	msvc6/data/draggerDefaults/rotateSphericalDragger.h,
	msvc6/data/draggerDefaults/scale1Dragger.h,
	msvc6/data/draggerDefaults/scale2Dragger.h,
	msvc6/data/draggerDefaults/scale2UniformDragger.h,
	msvc6/data/draggerDefaults/scaleUniformDragger.h,
	msvc6/data/draggerDefaults/spotLightDragger.h,
	msvc6/data/draggerDefaults/tabBoxDragger.h,
	msvc6/data/draggerDefaults/tabPlaneDragger.h,
	msvc6/data/draggerDefaults/trackballDragger.h,
	msvc6/data/draggerDefaults/transformBoxDragger.h,
	msvc6/data/draggerDefaults/transformerDragger.h,
	msvc6/data/draggerDefaults/translate1Dragger.h,
	msvc6/data/draggerDefaults/translate2Dragger.h, msvc7/coin2.sln,
	msvc7/data/draggerDefaults/centerballDragger.h,
	msvc7/data/draggerDefaults/directionalLightDragger.h,
	msvc7/data/draggerDefaults/dragPointDragger.h,
	msvc7/data/draggerDefaults/handleBoxDragger.h,
	msvc7/data/draggerDefaults/jackDragger.h,
	msvc7/data/draggerDefaults/pointLightDragger.h,
	msvc7/data/draggerDefaults/rotateCylindricalDragger.h,
	msvc7/data/draggerDefaults/rotateDiscDragger.h,
	msvc7/data/draggerDefaults/rotateSphericalDragger.h,
	msvc7/data/draggerDefaults/scale1Dragger.h,
	msvc7/data/draggerDefaults/scale2Dragger.h,
	msvc7/data/draggerDefaults/scale2UniformDragger.h,
	msvc7/data/draggerDefaults/scaleUniformDragger.h,
	msvc7/data/draggerDefaults/spotLightDragger.h,
	msvc7/data/draggerDefaults/tabBoxDragger.h,
	msvc7/data/draggerDefaults/tabPlaneDragger.h,
	msvc7/data/draggerDefaults/trackballDragger.h,
	msvc7/data/draggerDefaults/transformBoxDragger.h,
	msvc7/data/draggerDefaults/transformerDragger.h,
	msvc7/data/draggerDefaults/translate1Dragger.h,
	msvc7/data/draggerDefaults/translate2Dragger.h,
	msvc7/include/config-debug.h, msvc7/include/config-release.h,
	msvc8/coin2.sln, msvc8/coin2.vcproj,
	msvc8/data/draggerDefaults/centerballDragger.h,
	msvc8/data/draggerDefaults/directionalLightDragger.h,
	msvc8/data/draggerDefaults/dragPointDragger.h,
	msvc8/data/draggerDefaults/handleBoxDragger.h,
	msvc8/data/draggerDefaults/jackDragger.h,
	msvc8/data/draggerDefaults/pointLightDragger.h,
	msvc8/data/draggerDefaults/rotateCylindricalDragger.h,
	msvc8/data/draggerDefaults/rotateDiscDragger.h,
	msvc8/data/draggerDefaults/rotateSphericalDragger.h,
	msvc8/data/draggerDefaults/scale1Dragger.h,
	msvc8/data/draggerDefaults/scale2Dragger.h,
	msvc8/data/draggerDefaults/scale2UniformDragger.h,
	msvc8/data/draggerDefaults/scaleUniformDragger.h,
	msvc8/data/draggerDefaults/spotLightDragger.h,
	msvc8/data/draggerDefaults/tabBoxDragger.h,
	msvc8/data/draggerDefaults/tabPlaneDragger.h,
	msvc8/data/draggerDefaults/trackballDragger.h,
	msvc8/data/draggerDefaults/transformBoxDragger.h,
	msvc8/data/draggerDefaults/transformerDragger.h,
	msvc8/data/draggerDefaults/translate1Dragger.h,
	msvc8/data/draggerDefaults/translate2Dragger.h,
	msvc8/include/config-debug.h, msvc8/include/config-release.h:
	
	regenerated files

2006-04-29 16:37  larsa

	* src/fonts/: builtin2dfonts.ic, builtin2dfonts.sh,
	extractfont.cpp, font13.ic, font17.ic, font25.ic, font33.ic:
	
	2D font '_'-character fix

2006-04-29 15:04  larsa

	* build/msvc6/data/draggerDefaults/centerballDragger.h,
	build/msvc6/data/draggerDefaults/directionalLightDragger.h,
	build/msvc6/data/draggerDefaults/dragPointDragger.h,
	build/msvc6/data/draggerDefaults/handleBoxDragger.h,
	build/msvc6/data/draggerDefaults/jackDragger.h,
	build/msvc6/data/draggerDefaults/pointLightDragger.h,
	build/msvc6/data/draggerDefaults/rotateCylindricalDragger.h,
	build/msvc6/data/draggerDefaults/rotateDiscDragger.h,
	build/msvc6/data/draggerDefaults/rotateSphericalDragger.h,
	build/msvc6/data/draggerDefaults/scale1Dragger.h,
	build/msvc6/data/draggerDefaults/scale2Dragger.h,
	build/msvc6/data/draggerDefaults/scale2UniformDragger.h,
	build/msvc6/data/draggerDefaults/scaleUniformDragger.h,
	build/msvc6/data/draggerDefaults/spotLightDragger.h,
	build/msvc6/data/draggerDefaults/tabBoxDragger.h,
	build/msvc6/data/draggerDefaults/tabPlaneDragger.h,
	build/msvc6/data/draggerDefaults/trackballDragger.h,
	build/msvc6/data/draggerDefaults/transformBoxDragger.h,
	build/msvc6/data/draggerDefaults/transformerDragger.h,
	build/msvc6/data/draggerDefaults/translate1Dragger.h,
	build/msvc6/data/draggerDefaults/translate2Dragger.h,
	build/msvc6/include/Inventor/C/basic.h,
	build/msvc6/include/Inventor/system/gl.h,
	build/msvc6/include/Inventor/system/inttypes.h,
	build/msvc7/data/draggerDefaults/centerballDragger.h,
	build/msvc7/data/draggerDefaults/directionalLightDragger.h,
	build/msvc7/data/draggerDefaults/dragPointDragger.h,
	build/msvc7/data/draggerDefaults/handleBoxDragger.h,
	build/msvc7/data/draggerDefaults/jackDragger.h,
	build/msvc7/data/draggerDefaults/pointLightDragger.h,
	build/msvc7/data/draggerDefaults/rotateCylindricalDragger.h,
	build/msvc7/data/draggerDefaults/rotateDiscDragger.h,
	build/msvc7/data/draggerDefaults/rotateSphericalDragger.h,
	build/msvc7/data/draggerDefaults/scale1Dragger.h,
	build/msvc7/data/draggerDefaults/scale2Dragger.h,
	build/msvc7/data/draggerDefaults/scale2UniformDragger.h,
	build/msvc7/data/draggerDefaults/scaleUniformDragger.h,
	build/msvc7/data/draggerDefaults/spotLightDragger.h,
	build/msvc7/data/draggerDefaults/tabBoxDragger.h,
	build/msvc7/data/draggerDefaults/tabPlaneDragger.h,
	build/msvc7/data/draggerDefaults/trackballDragger.h,
	build/msvc7/data/draggerDefaults/transformBoxDragger.h,
	build/msvc7/data/draggerDefaults/transformerDragger.h,
	build/msvc7/data/draggerDefaults/translate1Dragger.h,
	build/msvc7/data/draggerDefaults/translate2Dragger.h,
	build/msvc7/include/Inventor/C/basic.h,
	build/msvc7/include/Inventor/system/gl.h,
	build/msvc7/include/Inventor/system/inttypes.h,
	build/msvc8/data/draggerDefaults/centerballDragger.h,
	build/msvc8/data/draggerDefaults/directionalLightDragger.h,
	build/msvc8/data/draggerDefaults/dragPointDragger.h,
	build/msvc8/data/draggerDefaults/handleBoxDragger.h,
	build/msvc8/data/draggerDefaults/jackDragger.h,
	build/msvc8/data/draggerDefaults/pointLightDragger.h,
	build/msvc8/data/draggerDefaults/rotateCylindricalDragger.h,
	build/msvc8/data/draggerDefaults/rotateDiscDragger.h,
	build/msvc8/data/draggerDefaults/rotateSphericalDragger.h,
	build/msvc8/data/draggerDefaults/scale1Dragger.h,
	build/msvc8/data/draggerDefaults/scale2Dragger.h,
	build/msvc8/data/draggerDefaults/scale2UniformDragger.h,
	build/msvc8/data/draggerDefaults/scaleUniformDragger.h,
	build/msvc8/data/draggerDefaults/spotLightDragger.h,
	build/msvc8/data/draggerDefaults/tabBoxDragger.h,
	build/msvc8/data/draggerDefaults/tabPlaneDragger.h,
	build/msvc8/data/draggerDefaults/trackballDragger.h,
	build/msvc8/data/draggerDefaults/transformBoxDragger.h,
	build/msvc8/data/draggerDefaults/transformerDragger.h,
	build/msvc8/data/draggerDefaults/translate1Dragger.h,
	build/msvc8/data/draggerDefaults/translate2Dragger.h,
	build/msvc8/include/Inventor/C/basic.h,
	build/msvc8/include/Inventor/system/gl.h,
	build/msvc8/include/Inventor/system/inttypes.h,
	data/draggerDefaults/iv2h.sh.in, examples/bindings/glutiv.cpp,
	examples/bindings/glxiv.cpp, examples/misc/glut_tex.cpp,
	examples/misc/ivcp.cpp, include/SoWinEnterScope.h,
	include/SoWinLeaveScope.h, include/coindefs.h,
	include/Inventor/Sb.h, include/Inventor/SbBSPTree.h,
	include/Inventor/SbBasic.h, include/Inventor/SbBox.h,
	include/Inventor/SbBox2d.h, include/Inventor/SbBox2f.h,
	include/Inventor/SbBox2s.h, include/Inventor/SbBox3f.h,
	include/Inventor/SbBox3s.h, include/Inventor/SbClip.h,
	include/Inventor/SbColor.h, include/Inventor/SbColor4f.h,
	include/Inventor/SbCylinder.h, include/Inventor/SbDPLine.h,
	include/Inventor/SbDPLinear.h, include/Inventor/SbDPMatrix.h,
	include/Inventor/SbDPPlane.h, include/Inventor/SbDPRotation.h,
	include/Inventor/SbDPViewVolume.h, include/Inventor/SbDict.h,
	include/Inventor/SbHeap.h, include/Inventor/SbImage.h,
	include/Inventor/SbLine.h, include/Inventor/SbLinear.h,
	include/Inventor/SbMatrix.h, include/Inventor/SbName.h,
	include/Inventor/SbOctTree.h, include/Inventor/SbPList.h,
	include/Inventor/SbPlane.h, include/Inventor/SbRotation.h,
	include/Inventor/SbSphere.h, include/Inventor/SbString.h,
	include/Inventor/SbTesselator.h, include/Inventor/SbTime.h,
	include/Inventor/SbVec2d.h, include/Inventor/SbVec2f.h,
	include/Inventor/SbVec2s.h, include/Inventor/SbVec3d.h,
	include/Inventor/SbVec3f.h, include/Inventor/SbVec3s.h,
	include/Inventor/SbVec4d.h, include/Inventor/SbVec4f.h,
	include/Inventor/SbViewVolume.h,
	include/Inventor/SbViewportRegion.h, include/Inventor/SbXfBox3f.h,
	include/Inventor/So.h, include/Inventor/SoDB.h,
	include/Inventor/SoFullPath.h, include/Inventor/SoInput.h,
	include/Inventor/SoInteraction.h, include/Inventor/SoLists.h,
	include/Inventor/SoNodeKitPath.h,
	include/Inventor/SoOffscreenRenderer.h,
	include/Inventor/SoOutput.h, include/Inventor/SoPath.h,
	include/Inventor/SoPickedPoint.h,
	include/Inventor/SoPrimitiveVertex.h,
	include/Inventor/SoSceneManager.h, include/Inventor/SoType.h,
	include/Inventor/C/basic.h.in, include/Inventor/C/tidbits.h,
	include/Inventor/C/tidbitsp.h, include/Inventor/C/base/dict.h,
	include/Inventor/C/base/dictp.h,
	include/Inventor/C/base/dynarray.h, include/Inventor/C/base/hash.h,
	include/Inventor/C/base/hashp.h, include/Inventor/C/base/heap.h,
	include/Inventor/C/base/heapp.h, include/Inventor/C/base/list.h,
	include/Inventor/C/base/memalloc.h,
	include/Inventor/C/base/namemap.h,
	include/Inventor/C/base/rbptree.h,
	include/Inventor/C/base/string.h, include/Inventor/C/base/time.h,
	include/Inventor/C/errors/debugerror.h,
	include/Inventor/C/errors/error.h,
	include/Inventor/C/glue/GLUWrapper.h,
	include/Inventor/C/glue/bzip2.h, include/Inventor/C/glue/cg.h,
	include/Inventor/C/glue/dl.h, include/Inventor/C/glue/dlp.h,
	include/Inventor/C/glue/freetype.h, include/Inventor/C/glue/gl.h,
	include/Inventor/C/glue/gl_agl.h, include/Inventor/C/glue/gl_glx.h,
	include/Inventor/C/glue/gl_wgl.h, include/Inventor/C/glue/glp.h,
	include/Inventor/C/glue/openal_wrapper.h,
	include/Inventor/C/glue/simage_wrapper.h,
	include/Inventor/C/glue/spidermonkey.h,
	include/Inventor/C/glue/win32api.h, include/Inventor/C/glue/zlib.h,
	include/Inventor/C/threads/barrier.h,
	include/Inventor/C/threads/barrierp.h,
	include/Inventor/C/threads/common.h,
	include/Inventor/C/threads/condvar.h,
	include/Inventor/C/threads/condvarp.h,
	include/Inventor/C/threads/fifo.h,
	include/Inventor/C/threads/fifop.h,
	include/Inventor/C/threads/mutex.h,
	include/Inventor/C/threads/mutexp.h,
	include/Inventor/C/threads/recmutex.h,
	include/Inventor/C/threads/recmutexp.h,
	include/Inventor/C/threads/rwmutex.h,
	include/Inventor/C/threads/rwmutexp.h,
	include/Inventor/C/threads/sched.h,
	include/Inventor/C/threads/schedp.h,
	include/Inventor/C/threads/storage.h,
	include/Inventor/C/threads/storagep.h,
	include/Inventor/C/threads/sync.h,
	include/Inventor/C/threads/syncp.h,
	include/Inventor/C/threads/thread.h,
	include/Inventor/C/threads/threadp.h,
	include/Inventor/C/threads/threadsutilp.h,
	include/Inventor/C/threads/worker.h,
	include/Inventor/C/threads/workerp.h,
	include/Inventor/C/threads/wpool.h,
	include/Inventor/C/threads/wpoolp.h,
	include/Inventor/MPEG/SoMPEGFrameRenderer.h,
	include/Inventor/MPEG/SoMPEGRenderer.h,
	include/Inventor/VRMLnodes/SoVRML.h,
	include/Inventor/VRMLnodes/SoVRMLAnchor.h,
	include/Inventor/VRMLnodes/SoVRMLAppearance.h,
	include/Inventor/VRMLnodes/SoVRMLAudioClip.h,
	include/Inventor/VRMLnodes/SoVRMLBackground.h,
	include/Inventor/VRMLnodes/SoVRMLBillboard.h,
	include/Inventor/VRMLnodes/SoVRMLBox.h,
	include/Inventor/VRMLnodes/SoVRMLCollision.h,
	include/Inventor/VRMLnodes/SoVRMLColor.h,
	include/Inventor/VRMLnodes/SoVRMLColorInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLCone.h,
	include/Inventor/VRMLnodes/SoVRMLCoordinate.h,
	include/Inventor/VRMLnodes/SoVRMLCoordinateInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLCylinder.h,
	include/Inventor/VRMLnodes/SoVRMLCylinderSensor.h,
	include/Inventor/VRMLnodes/SoVRMLDirectionalLight.h,
	include/Inventor/VRMLnodes/SoVRMLDragSensor.h,
	include/Inventor/VRMLnodes/SoVRMLElevationGrid.h,
	include/Inventor/VRMLnodes/SoVRMLExtrusion.h,
	include/Inventor/VRMLnodes/SoVRMLFog.h,
	include/Inventor/VRMLnodes/SoVRMLFontStyle.h,
	include/Inventor/VRMLnodes/SoVRMLGeometry.h,
	include/Inventor/VRMLnodes/SoVRMLGroup.h,
	include/Inventor/VRMLnodes/SoVRMLImageTexture.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedFaceSet.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedLine.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedLineSet.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedShape.h,
	include/Inventor/VRMLnodes/SoVRMLInline.h,
	include/Inventor/VRMLnodes/SoVRMLInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLLOD.h,
	include/Inventor/VRMLnodes/SoVRMLLight.h,
	include/Inventor/VRMLnodes/SoVRMLMacros.h,
	include/Inventor/VRMLnodes/SoVRMLMaterial.h,
	include/Inventor/VRMLnodes/SoVRMLMovieTexture.h,
	include/Inventor/VRMLnodes/SoVRMLNavigationInfo.h,
	include/Inventor/VRMLnodes/SoVRMLNodes.h,
	include/Inventor/VRMLnodes/SoVRMLNormal.h,
	include/Inventor/VRMLnodes/SoVRMLNormalInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLOrientationInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLParent.h,
	include/Inventor/VRMLnodes/SoVRMLPixelTexture.h,
	include/Inventor/VRMLnodes/SoVRMLPlaneSensor.h,
	include/Inventor/VRMLnodes/SoVRMLPointLight.h,
	include/Inventor/VRMLnodes/SoVRMLPointSet.h,
	include/Inventor/VRMLnodes/SoVRMLPositionInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLProximitySensor.h,
	include/Inventor/VRMLnodes/SoVRMLScalarInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLScript.h,
	include/Inventor/VRMLnodes/SoVRMLSensor.h,
	include/Inventor/VRMLnodes/SoVRMLShape.h,
	include/Inventor/VRMLnodes/SoVRMLSound.h,
	include/Inventor/VRMLnodes/SoVRMLSphere.h,
	include/Inventor/VRMLnodes/SoVRMLSphereSensor.h,
	include/Inventor/VRMLnodes/SoVRMLSpotLight.h,
	include/Inventor/VRMLnodes/SoVRMLSubInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLSubInterpolatorP.h,
	include/Inventor/VRMLnodes/SoVRMLSwitch.h,
	include/Inventor/VRMLnodes/SoVRMLText.h,
	include/Inventor/VRMLnodes/SoVRMLTexture.h,
	include/Inventor/VRMLnodes/SoVRMLTextureCoordinate.h,
	include/Inventor/VRMLnodes/SoVRMLTextureTransform.h,
	include/Inventor/VRMLnodes/SoVRMLTimeSensor.h,
	include/Inventor/VRMLnodes/SoVRMLTouchSensor.h,
	include/Inventor/VRMLnodes/SoVRMLTransform.h,
	include/Inventor/VRMLnodes/SoVRMLVertexLine.h,
	include/Inventor/VRMLnodes/SoVRMLVertexPoint.h,
	include/Inventor/VRMLnodes/SoVRMLVertexShape.h,
	include/Inventor/VRMLnodes/SoVRMLViewpoint.h,
	include/Inventor/VRMLnodes/SoVRMLVisibilitySensor.h,
	include/Inventor/VRMLnodes/SoVRMLWorldInfo.h,
	include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoActions.h,
	include/Inventor/actions/SoAudioRenderAction.h,
	include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/actions/SoGetMatrixAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/actions/SoHandleEventAction.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/actions/SoReorganizeAction.h,
	include/Inventor/actions/SoSearchAction.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/actions/SoSubAction.h,
	include/Inventor/actions/SoSubActionP.h,
	include/Inventor/actions/SoToVRML2Action.h,
	include/Inventor/actions/SoToVRMLAction.h,
	include/Inventor/actions/SoWriteAction.h,
	include/Inventor/annex/HardCopy/SoCGMVectorOutput.h,
	include/Inventor/annex/HardCopy/SoGDIVectorOutput.h,
	include/Inventor/annex/HardCopy/SoHPGLVectorOutput.h,
	include/Inventor/annex/HardCopy/SoHardCopy.h,
	include/Inventor/annex/HardCopy/SoPSVectorOutput.h,
	include/Inventor/annex/HardCopy/SoVectorOutput.h,
	include/Inventor/annex/HardCopy/SoVectorizeAction.h,
	include/Inventor/annex/HardCopy/SoVectorizeCGMAction.h,
	include/Inventor/annex/HardCopy/SoVectorizeGDIAction.h,
	include/Inventor/annex/HardCopy/SoVectorizeHPGLAction.h,
	include/Inventor/annex/HardCopy/SoVectorizePSAction.h,
	include/Inventor/bundles/SoBundle.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/bundles/SoNormalBundle.h,
	include/Inventor/bundles/SoTextureCoordinateBundle.h,
	include/Inventor/caches/SoBoundingBoxCache.h,
	include/Inventor/caches/SoCache.h,
	include/Inventor/caches/SoConvexDataCache.h,
	include/Inventor/caches/SoGLCacheList.h,
	include/Inventor/caches/SoGLRenderCache.h,
	include/Inventor/caches/SoGlyphCache.h,
	include/Inventor/caches/SoNormalCache.h,
	include/Inventor/caches/SoPrimitiveVertexCache.h,
	include/Inventor/caches/SoTextureCoordinateCache.h,
	include/Inventor/collision/SoIntersectionDetectionAction.h,
	include/Inventor/details/SoConeDetail.h,
	include/Inventor/details/SoCubeDetail.h,
	include/Inventor/details/SoCylinderDetail.h,
	include/Inventor/details/SoDetail.h,
	include/Inventor/details/SoDetails.h,
	include/Inventor/details/SoFaceDetail.h,
	include/Inventor/details/SoLineDetail.h,
	include/Inventor/details/SoNodeKitDetail.h,
	include/Inventor/details/SoPointDetail.h,
	include/Inventor/details/SoSubDetail.h,
	include/Inventor/details/SoTextDetail.h,
	include/Inventor/draggers/SoCenterballDragger.h,
	include/Inventor/draggers/SoDirectionalLightDragger.h,
	include/Inventor/draggers/SoDragPointDragger.h,
	include/Inventor/draggers/SoDragger.h,
	include/Inventor/draggers/SoHandleBoxDragger.h,
	include/Inventor/draggers/SoJackDragger.h,
	include/Inventor/draggers/SoPointLightDragger.h,
	include/Inventor/draggers/SoRotateCylindricalDragger.h,
	include/Inventor/draggers/SoRotateDiscDragger.h,
	include/Inventor/draggers/SoRotateSphericalDragger.h,
	include/Inventor/draggers/SoScale1Dragger.h,
	include/Inventor/draggers/SoScale2Dragger.h,
	include/Inventor/draggers/SoScale2UniformDragger.h,
	include/Inventor/draggers/SoScaleUniformDragger.h,
	include/Inventor/draggers/SoSpotLightDragger.h,
	include/Inventor/draggers/SoTabBoxDragger.h,
	include/Inventor/draggers/SoTabPlaneDragger.h,
	include/Inventor/draggers/SoTrackballDragger.h,
	include/Inventor/draggers/SoTransformBoxDragger.h,
	include/Inventor/draggers/SoTransformerDragger.h,
	include/Inventor/draggers/SoTranslate1Dragger.h,
	include/Inventor/draggers/SoTranslate2Dragger.h,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/elements/SoBumpMapCoordinateElement.h,
	include/Inventor/elements/SoBumpMapElement.h,
	include/Inventor/elements/SoBumpMapMatrixElement.h,
	include/Inventor/elements/SoCacheElement.h,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/elements/SoComplexityElement.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/elements/SoCullElement.h,
	include/Inventor/elements/SoDecimationPercentageElement.h,
	include/Inventor/elements/SoDecimationTypeElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoDrawStyleElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoEnvironmentElement.h,
	include/Inventor/elements/SoFloatElement.h,
	include/Inventor/elements/SoFocalDistanceElement.h,
	include/Inventor/elements/SoFontNameElement.h,
	include/Inventor/elements/SoFontSizeElement.h,
	include/Inventor/elements/SoGLCacheContextElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	include/Inventor/elements/SoGLColorIndexElement.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	include/Inventor/elements/SoGLDisplayList.h,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	include/Inventor/elements/SoGLLazyElement.h,
	include/Inventor/elements/SoGLLightIdElement.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	include/Inventor/elements/SoGLMultiTextureCoordinateElement.h,
	include/Inventor/elements/SoGLMultiTextureEnabledElement.h,
	include/Inventor/elements/SoGLMultiTextureImageElement.h,
	include/Inventor/elements/SoGLMultiTextureMatrixElement.h,
	include/Inventor/elements/SoGLNormalElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/elements/SoGLProjectionMatrixElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLTexture3EnabledElement.h,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/elements/SoGLTextureMatrixElement.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	include/Inventor/elements/SoGLVBOElement.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/elements/SoInt32Element.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/elements/SoLightAttenuationElement.h,
	include/Inventor/elements/SoLightElement.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/elements/SoLinePatternElement.h,
	include/Inventor/elements/SoLineWidthElement.h,
	include/Inventor/elements/SoListenerDopplerElement.h,
	include/Inventor/elements/SoListenerGainElement.h,
	include/Inventor/elements/SoListenerOrientationElement.h,
	include/Inventor/elements/SoListenerPositionElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/elements/SoLongElement.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoMultiTextureCoordinateElement.h,
	include/Inventor/elements/SoMultiTextureEnabledElement.h,
	include/Inventor/elements/SoMultiTextureImageElement.h,
	include/Inventor/elements/SoMultiTextureMatrixElement.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/elements/SoPickStyleElement.h,
	include/Inventor/elements/SoPointSizeElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	include/Inventor/elements/SoProfileElement.h,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/elements/SoReplacedElement.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/elements/SoShapeStyleElement.h,
	include/Inventor/elements/SoShininessElement.h,
	include/Inventor/elements/SoSoundElement.h,
	include/Inventor/elements/SoSpecularColorElement.h,
	include/Inventor/elements/SoSubElement.h,
	include/Inventor/elements/SoSwitchElement.h,
	include/Inventor/elements/SoTextOutlineEnabledElement.h,
	include/Inventor/elements/SoTexture3EnabledElement.h,
	include/Inventor/elements/SoTextureCombineElement.h,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoTextureEnabledElement.h,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/elements/SoTextureMatrixElement.h,
	include/Inventor/elements/SoTextureOverrideElement.h,
	include/Inventor/elements/SoTextureQualityElement.h,
	include/Inventor/elements/SoTextureScalePolicyElement.h,
	include/Inventor/elements/SoTextureScaleQualityElement.h,
	include/Inventor/elements/SoTextureUnitElement.h,
	include/Inventor/elements/SoTransparencyElement.h,
	include/Inventor/elements/SoUnitsElement.h,
	include/Inventor/elements/SoViewVolumeElement.h,
	include/Inventor/elements/SoViewingMatrixElement.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/elements/SoWindowElement.h,
	include/Inventor/engines/SoBoolOperation.h,
	include/Inventor/engines/SoCalculator.h,
	include/Inventor/engines/SoCompose.h,
	include/Inventor/engines/SoComposeMatrix.h,
	include/Inventor/engines/SoComposeRotation.h,
	include/Inventor/engines/SoComposeRotationFromTo.h,
	include/Inventor/engines/SoComposeVec2f.h,
	include/Inventor/engines/SoComposeVec3f.h,
	include/Inventor/engines/SoComposeVec4f.h,
	include/Inventor/engines/SoComputeBoundingBox.h,
	include/Inventor/engines/SoConcatenate.h,
	include/Inventor/engines/SoConvertAll.h,
	include/Inventor/engines/SoCounter.h,
	include/Inventor/engines/SoDecomposeMatrix.h,
	include/Inventor/engines/SoDecomposeRotation.h,
	include/Inventor/engines/SoDecomposeVec2f.h,
	include/Inventor/engines/SoDecomposeVec3f.h,
	include/Inventor/engines/SoDecomposeVec4f.h,
	include/Inventor/engines/SoElapsedTime.h,
	include/Inventor/engines/SoEngine.h,
	include/Inventor/engines/SoEngineOutput.h,
	include/Inventor/engines/SoEngines.h,
	include/Inventor/engines/SoFieldConverter.h,
	include/Inventor/engines/SoGate.h,
	include/Inventor/engines/SoInterpolate.h,
	include/Inventor/engines/SoInterpolateFloat.h,
	include/Inventor/engines/SoInterpolateRotation.h,
	include/Inventor/engines/SoInterpolateVec2f.h,
	include/Inventor/engines/SoInterpolateVec3f.h,
	include/Inventor/engines/SoInterpolateVec4f.h,
	include/Inventor/engines/SoNodeEngine.h,
	include/Inventor/engines/SoOnOff.h,
	include/Inventor/engines/SoOneShot.h,
	include/Inventor/engines/SoOutputData.h,
	include/Inventor/engines/SoSelectOne.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/engines/SoSubEngineP.h,
	include/Inventor/engines/SoSubNodeEngine.h,
	include/Inventor/engines/SoSubNodeEngineP.h,
	include/Inventor/engines/SoTimeCounter.h,
	include/Inventor/engines/SoTransformVec3f.h,
	include/Inventor/engines/SoTriggerAny.h,
	include/Inventor/errors/SoDebugError.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/errors/SoErrors.h,
	include/Inventor/errors/SoMemoryError.h,
	include/Inventor/errors/SoReadError.h,
	include/Inventor/events/SoButtonEvent.h,
	include/Inventor/events/SoEvent.h,
	include/Inventor/events/SoEvents.h,
	include/Inventor/events/SoKeyboardEvent.h,
	include/Inventor/events/SoLocation2Event.h,
	include/Inventor/events/SoMotion3Event.h,
	include/Inventor/events/SoMouseButtonEvent.h,
	include/Inventor/events/SoSpaceballButtonEvent.h,
	include/Inventor/events/SoSubEvent.h,
	include/Inventor/fields/SFNodeAndEngine.tpl,
	include/Inventor/fields/SoField.h,
	include/Inventor/fields/SoFieldContainer.h,
	include/Inventor/fields/SoFieldData.h,
	include/Inventor/fields/SoFields.h,
	include/Inventor/fields/SoGlobalField.h,
	include/Inventor/fields/SoMFBitMask.h,
	include/Inventor/fields/SoMFBool.h,
	include/Inventor/fields/SoMFColor.h,
	include/Inventor/fields/SoMFEngine.h,
	include/Inventor/fields/SoMFEnum.h,
	include/Inventor/fields/SoMFFloat.h,
	include/Inventor/fields/SoMFInt32.h,
	include/Inventor/fields/SoMFLong.h,
	include/Inventor/fields/SoMFMatrix.h,
	include/Inventor/fields/SoMFName.h,
	include/Inventor/fields/SoMFNode.h,
	include/Inventor/fields/SoMFPath.h,
	include/Inventor/fields/SoMFPlane.h,
	include/Inventor/fields/SoMFRotation.h,
	include/Inventor/fields/SoMFShort.h,
	include/Inventor/fields/SoMFString.h,
	include/Inventor/fields/SoMFTime.h,
	include/Inventor/fields/SoMFUInt32.h,
	include/Inventor/fields/SoMFULong.h,
	include/Inventor/fields/SoMFUShort.h,
	include/Inventor/fields/SoMFVec2f.h,
	include/Inventor/fields/SoMFVec3d.h,
	include/Inventor/fields/SoMFVec3f.h,
	include/Inventor/fields/SoMFVec4f.h,
	include/Inventor/fields/SoMField.h,
	include/Inventor/fields/SoSFBitMask.h,
	include/Inventor/fields/SoSFBool.h,
	include/Inventor/fields/SoSFBox3f.h,
	include/Inventor/fields/SoSFBox3s.h,
	include/Inventor/fields/SoSFColor.h,
	include/Inventor/fields/SoSFEngine.h,
	include/Inventor/fields/SoSFEnum.h,
	include/Inventor/fields/SoSFFloat.h,
	include/Inventor/fields/SoSFImage.h,
	include/Inventor/fields/SoSFImage3.h,
	include/Inventor/fields/SoSFInt32.h,
	include/Inventor/fields/SoSFLong.h,
	include/Inventor/fields/SoSFMatrix.h,
	include/Inventor/fields/SoSFName.h,
	include/Inventor/fields/SoSFNode.h,
	include/Inventor/fields/SoSFPath.h,
	include/Inventor/fields/SoSFPlane.h,
	include/Inventor/fields/SoSFRotation.h,
	include/Inventor/fields/SoSFShort.h,
	include/Inventor/fields/SoSFString.h,
	include/Inventor/fields/SoSFTime.h,
	include/Inventor/fields/SoSFTrigger.h,
	include/Inventor/fields/SoSFUInt32.h,
	include/Inventor/fields/SoSFULong.h,
	include/Inventor/fields/SoSFUShort.h,
	include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/fields/SoSFVec2s.h,
	include/Inventor/fields/SoSFVec3d.h,
	include/Inventor/fields/SoSFVec3f.h,
	include/Inventor/fields/SoSFVec3s.h,
	include/Inventor/fields/SoSFVec4f.h,
	include/Inventor/fields/SoSField.h,
	include/Inventor/fields/SoSubField.h,
	include/Inventor/fields/SoSubFieldP.h,
	include/Inventor/lists/SbIntList.h,
	include/Inventor/lists/SbList.h, include/Inventor/lists/SbPList.h,
	include/Inventor/lists/SbStringList.h,
	include/Inventor/lists/SbVec3fList.h,
	include/Inventor/lists/SoActionMethodList.h,
	include/Inventor/lists/SoAuditorList.h,
	include/Inventor/lists/SoBaseList.h,
	include/Inventor/lists/SoCallbackList.h,
	include/Inventor/lists/SoDetailList.h,
	include/Inventor/lists/SoEnabledElementsList.h,
	include/Inventor/lists/SoEngineList.h,
	include/Inventor/lists/SoEngineOutputList.h,
	include/Inventor/lists/SoFieldList.h,
	include/Inventor/lists/SoNodeList.h,
	include/Inventor/lists/SoPathList.h,
	include/Inventor/lists/SoPickedPointList.h,
	include/Inventor/lists/SoTypeList.h,
	include/Inventor/lock/SoLockMgr.h,
	include/Inventor/manips/SoCenterballManip.h,
	include/Inventor/manips/SoClipPlaneManip.h,
	include/Inventor/manips/SoDirectionalLightManip.h,
	include/Inventor/manips/SoHandleBoxManip.h,
	include/Inventor/manips/SoJackManip.h,
	include/Inventor/manips/SoPointLightManip.h,
	include/Inventor/manips/SoSpotLightManip.h,
	include/Inventor/manips/SoTabBoxManip.h,
	include/Inventor/manips/SoTrackballManip.h,
	include/Inventor/manips/SoTransformBoxManip.h,
	include/Inventor/manips/SoTransformManip.h,
	include/Inventor/manips/SoTransformerManip.h,
	include/Inventor/misc/SbHash.h,
	include/Inventor/misc/SoAudioDevice.h,
	include/Inventor/misc/SoAuditorList.h,
	include/Inventor/misc/SoBase.h, include/Inventor/misc/SoBasic.h,
	include/Inventor/misc/SoByteStream.h,
	include/Inventor/misc/SoCallbackList.h,
	include/Inventor/misc/SoChildList.h,
	include/Inventor/misc/SoContextHandler.h,
	include/Inventor/misc/SoGL.h, include/Inventor/misc/SoGLBigImage.h,
	include/Inventor/misc/SoGLImage.h,
	include/Inventor/misc/SoGenerate.h,
	include/Inventor/misc/SoGlyph.h,
	include/Inventor/misc/SoJavaScriptEngine.h,
	include/Inventor/misc/SoLightPath.h,
	include/Inventor/misc/SoNormalGenerator.h,
	include/Inventor/misc/SoNotRec.h,
	include/Inventor/misc/SoNotification.h,
	include/Inventor/misc/SoPick.h, include/Inventor/misc/SoProto.h,
	include/Inventor/misc/SoProtoInstance.h,
	include/Inventor/misc/SoScriptEngine.h,
	include/Inventor/misc/SoState.h,
	include/Inventor/misc/SoTempPath.h,
	include/Inventor/misc/SoTranReceiver.h,
	include/Inventor/misc/SoTranSender.h,
	include/Inventor/misc/SoTranscribe.h,
	include/Inventor/nodekits/SoAppearanceKit.h,
	include/Inventor/nodekits/SoBaseKit.h,
	include/Inventor/nodekits/SoCameraKit.h,
	include/Inventor/nodekits/SoInteractionKit.h,
	include/Inventor/nodekits/SoLightKit.h,
	include/Inventor/nodekits/SoNodeKit.h,
	include/Inventor/nodekits/SoNodeKitListPart.h,
	include/Inventor/nodekits/SoNodekitCatalog.h,
	include/Inventor/nodekits/SoSceneKit.h,
	include/Inventor/nodekits/SoSeparatorKit.h,
	include/Inventor/nodekits/SoShapeKit.h,
	include/Inventor/nodekits/SoSubKit.h,
	include/Inventor/nodekits/SoSubKitP.h,
	include/Inventor/nodekits/SoWrapperKit.h,
	include/Inventor/nodes/SoAnnoText3.h,
	include/Inventor/nodes/SoAnnoText3Property.h,
	include/Inventor/nodes/SoAnnotation.h,
	include/Inventor/nodes/SoAntiSquish.h,
	include/Inventor/nodes/SoArray.h,
	include/Inventor/nodes/SoAsciiText.h,
	include/Inventor/nodes/SoBaseColor.h,
	include/Inventor/nodes/SoBlinker.h,
	include/Inventor/nodes/SoBumpMap.h,
	include/Inventor/nodes/SoBumpMapCoordinate.h,
	include/Inventor/nodes/SoBumpMapTransform.h,
	include/Inventor/nodes/SoCallback.h,
	include/Inventor/nodes/SoCamera.h,
	include/Inventor/nodes/SoClipPlane.h,
	include/Inventor/nodes/SoColorIndex.h,
	include/Inventor/nodes/SoComplexity.h,
	include/Inventor/nodes/SoCone.h,
	include/Inventor/nodes/SoCoordinate3.h,
	include/Inventor/nodes/SoCoordinate4.h,
	include/Inventor/nodes/SoCube.h,
	include/Inventor/nodes/SoCylinder.h,
	include/Inventor/nodes/SoDirectionalLight.h,
	include/Inventor/nodes/SoDrawStyle.h,
	include/Inventor/nodes/SoEnvironment.h,
	include/Inventor/nodes/SoEventCallback.h,
	include/Inventor/nodes/SoExtSelection.h,
	include/Inventor/nodes/SoFaceSet.h,
	include/Inventor/nodes/SoFile.h, include/Inventor/nodes/SoFont.h,
	include/Inventor/nodes/SoFontStyle.h,
	include/Inventor/nodes/SoGroup.h, include/Inventor/nodes/SoImage.h,
	include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedLineSet.h,
	include/Inventor/nodes/SoIndexedNurbsCurve.h,
	include/Inventor/nodes/SoIndexedNurbsSurface.h,
	include/Inventor/nodes/SoIndexedShape.h,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/nodes/SoInfo.h, include/Inventor/nodes/SoLOD.h,
	include/Inventor/nodes/SoLabel.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	include/Inventor/nodes/SoLight.h,
	include/Inventor/nodes/SoLightModel.h,
	include/Inventor/nodes/SoLineSet.h,
	include/Inventor/nodes/SoLinearProfile.h,
	include/Inventor/nodes/SoListener.h,
	include/Inventor/nodes/SoLocateHighlight.h,
	include/Inventor/nodes/SoMarkerSet.h,
	include/Inventor/nodes/SoMaterial.h,
	include/Inventor/nodes/SoMaterialBinding.h,
	include/Inventor/nodes/SoMatrixTransform.h,
	include/Inventor/nodes/SoMultipleCopy.h,
	include/Inventor/nodes/SoNode.h, include/Inventor/nodes/SoNodes.h,
	include/Inventor/nodes/SoNonIndexedShape.h,
	include/Inventor/nodes/SoNormal.h,
	include/Inventor/nodes/SoNormalBinding.h,
	include/Inventor/nodes/SoNurbsCurve.h,
	include/Inventor/nodes/SoNurbsProfile.h,
	include/Inventor/nodes/SoNurbsSurface.h,
	include/Inventor/nodes/SoOrthographicCamera.h,
	include/Inventor/nodes/SoPackedColor.h,
	include/Inventor/nodes/SoPathSwitch.h,
	include/Inventor/nodes/SoPattern.h,
	include/Inventor/nodes/SoPendulum.h,
	include/Inventor/nodes/SoPerspectiveCamera.h,
	include/Inventor/nodes/SoPickStyle.h,
	include/Inventor/nodes/SoPointLight.h,
	include/Inventor/nodes/SoPointSet.h,
	include/Inventor/nodes/SoPolygonOffset.h,
	include/Inventor/nodes/SoProfile.h,
	include/Inventor/nodes/SoProfileCoordinate2.h,
	include/Inventor/nodes/SoProfileCoordinate3.h,
	include/Inventor/nodes/SoQuadMesh.h,
	include/Inventor/nodes/SoResetTransform.h,
	include/Inventor/nodes/SoRotation.h,
	include/Inventor/nodes/SoRotationXYZ.h,
	include/Inventor/nodes/SoRotor.h, include/Inventor/nodes/SoScale.h,
	include/Inventor/nodes/SoSceneTexture2.h,
	include/Inventor/nodes/SoSelection.h,
	include/Inventor/nodes/SoSeparator.h,
	include/Inventor/nodes/SoShape.h,
	include/Inventor/nodes/SoShapeHints.h,
	include/Inventor/nodes/SoShuttle.h,
	include/Inventor/nodes/SoSphere.h,
	include/Inventor/nodes/SoSpotLight.h,
	include/Inventor/nodes/SoSubNode.h,
	include/Inventor/nodes/SoSubNodeP.h,
	include/Inventor/nodes/SoSurroundScale.h,
	include/Inventor/nodes/SoSwitch.h,
	include/Inventor/nodes/SoText2.h, include/Inventor/nodes/SoText3.h,
	include/Inventor/nodes/SoTexture2.h,
	include/Inventor/nodes/SoTexture2Transform.h,
	include/Inventor/nodes/SoTexture3.h,
	include/Inventor/nodes/SoTexture3Transform.h,
	include/Inventor/nodes/SoTextureCombine.h,
	include/Inventor/nodes/SoTextureCoordinate2.h,
	include/Inventor/nodes/SoTextureCoordinate3.h,
	include/Inventor/nodes/SoTextureCoordinateBinding.h,
	include/Inventor/nodes/SoTextureCoordinateCube.h,
	include/Inventor/nodes/SoTextureCoordinateCylinder.h,
	include/Inventor/nodes/SoTextureCoordinateDefault.h,
	include/Inventor/nodes/SoTextureCoordinateEnvironment.h,
	include/Inventor/nodes/SoTextureCoordinateFunction.h,
	include/Inventor/nodes/SoTextureCoordinatePlane.h,
	include/Inventor/nodes/SoTextureCoordinateSphere.h,
	include/Inventor/nodes/SoTextureScalePolicy.h,
	include/Inventor/nodes/SoTextureUnit.h,
	include/Inventor/nodes/SoTransform.h,
	include/Inventor/nodes/SoTransformSeparator.h,
	include/Inventor/nodes/SoTransformation.h,
	include/Inventor/nodes/SoTranslation.h,
	include/Inventor/nodes/SoTransparencyType.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	include/Inventor/nodes/SoUnits.h,
	include/Inventor/nodes/SoUnknownNode.h,
	include/Inventor/nodes/SoVertexProperty.h,
	include/Inventor/nodes/SoVertexShape.h,
	include/Inventor/nodes/SoWWWAnchor.h,
	include/Inventor/nodes/SoWWWInline.h,
	include/Inventor/projectors/SbCylinderPlaneProjector.h,
	include/Inventor/projectors/SbCylinderProjector.h,
	include/Inventor/projectors/SbCylinderSectionProjector.h,
	include/Inventor/projectors/SbCylinderSheetProjector.h,
	include/Inventor/projectors/SbLineProjector.h,
	include/Inventor/projectors/SbPlaneProjector.h,
	include/Inventor/projectors/SbProjector.h,
	include/Inventor/projectors/SbProjectors.h,
	include/Inventor/projectors/SbSpherePlaneProjector.h,
	include/Inventor/projectors/SbSphereProjector.h,
	include/Inventor/projectors/SbSphereSectionProjector.h,
	include/Inventor/projectors/SbSphereSheetProjector.h,
	include/Inventor/sensors/SoAlarmSensor.h,
	include/Inventor/sensors/SoDataSensor.h,
	include/Inventor/sensors/SoDelayQueueSensor.h,
	include/Inventor/sensors/SoFieldSensor.h,
	include/Inventor/sensors/SoIdleSensor.h,
	include/Inventor/sensors/SoNodeSensor.h,
	include/Inventor/sensors/SoOneShotSensor.h,
	include/Inventor/sensors/SoPathSensor.h,
	include/Inventor/sensors/SoSensor.h,
	include/Inventor/sensors/SoSensorManager.h,
	include/Inventor/sensors/SoSensors.h,
	include/Inventor/sensors/SoTimerQueueSensor.h,
	include/Inventor/sensors/SoTimerSensor.h,
	include/Inventor/system/gl.h.in,
	include/Inventor/system/inttypes.h.in,
	include/Inventor/threads/SbBarrier.h,
	include/Inventor/threads/SbCondVar.h,
	include/Inventor/threads/SbFifo.h,
	include/Inventor/threads/SbMutex.h,
	include/Inventor/threads/SbRWMutex.h,
	include/Inventor/threads/SbStorage.h,
	include/Inventor/threads/SbThread.h,
	include/Inventor/threads/SbThreadAutoLock.h,
	include/Inventor/threads/SbTypedStorage.h,
	java/files/Deletable.java, java/files/RefQ.java,
	java/files/hash_adt.cxx, java/files/hash_adt.h, src/tidbits.c,
	src/3ds/3dsLoader.cpp, src/3ds/3dsLoader.h, src/3ds/SoStream.cpp,
	src/3ds/SoStream.h, src/actions/SoAction.cpp,
	src/actions/SoAudioRenderAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGetMatrixAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoHandleEventAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	src/actions/SoReorganizeAction.cpp, src/actions/SoSearchAction.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoToVRMLAction.cpp, src/actions/SoWriteAction.cpp,
	src/actions/all-actions-cpp.cpp, src/base/SbBSPTree.cpp,
	src/base/SbBox2d.cpp, src/base/SbBox2f.cpp, src/base/SbBox2s.cpp,
	src/base/SbBox3f.cpp, src/base/SbBox3s.cpp, src/base/SbClip.cpp,
	src/base/SbColor.cpp, src/base/SbColor4f.cpp,
	src/base/SbCylinder.cpp, src/base/SbDPLine.cpp,
	src/base/SbDPMatrix.cpp, src/base/SbDPPlane.cpp,
	src/base/SbDPRotation.cpp, src/base/SbDPViewVolume.cpp,
	src/base/SbDict.cpp, src/base/SbGLUTessellator.cpp,
	src/base/SbGLUTessellator.h, src/base/SbHeap.cpp,
	src/base/SbImage.cpp, src/base/SbLine.cpp, src/base/SbMatrix.cpp,
	src/base/SbName.cpp, src/base/SbOctTree.cpp, src/base/SbPlane.cpp,
	src/base/SbRotation.cpp, src/base/SbSphere.cpp,
	src/base/SbString.cpp, src/base/SbTesselator.cpp,
	src/base/SbTime.cpp, src/base/SbVec2d.cpp, src/base/SbVec2f.cpp,
	src/base/SbVec2s.cpp, src/base/SbVec3d.cpp, src/base/SbVec3f.cpp,
	src/base/SbVec3s.cpp, src/base/SbVec4d.cpp, src/base/SbVec4f.cpp,
	src/base/SbViewVolume.cpp, src/base/SbViewportRegion.cpp,
	src/base/SbXfBox3f.cpp, src/base/all-base-c.c,
	src/base/all-base-cpp.cpp, src/base/dict.c, src/base/dynarray.cpp,
	src/base/hash.c, src/base/heap.c, src/base/list.c,
	src/base/memalloc.c, src/base/namemap.c, src/base/rbptree.c,
	src/base/string.c, src/base/time.c, src/bundles/SoBundle.cpp,
	src/bundles/SoMaterialBundle.cpp, src/bundles/SoNormalBundle.cpp,
	src/bundles/SoTextureCoordinateBundle.cpp,
	src/bundles/all-bundles-cpp.cpp, src/caches/SoBoundingBoxCache.cpp,
	src/caches/SoCache.cpp, src/caches/SoConvexDataCache.cpp,
	src/caches/SoGLCacheList.cpp, src/caches/SoGLRenderCache.cpp,
	src/caches/SoGlyphCache.cpp, src/caches/SoNormalCache.cpp,
	src/caches/SoPrimitiveVertexCache.cpp,
	src/caches/SoTextureCoordinateCache.cpp,
	src/caches/all-caches-cpp.cpp,
	src/caches/normalcache_numcoords_hack.cpp,
	src/caches/normalcache_numcoords_hack.h, src/collision/SbTri3f.cpp,
	src/collision/SbTri3f.h,
	src/collision/SoIntersectionDetectionAction.cpp,
	src/collision/all-collision-cpp.cpp, src/details/SoConeDetail.cpp,
	src/details/SoCubeDetail.cpp, src/details/SoCylinderDetail.cpp,
	src/details/SoDetail.cpp, src/details/SoFaceDetail.cpp,
	src/details/SoLineDetail.cpp, src/details/SoNodeKitDetail.cpp,
	src/details/SoPointDetail.cpp, src/details/SoTextDetail.cpp,
	src/details/all-details-cpp.cpp,
	src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoDragPointDragger.cpp, src/draggers/SoDragger.cpp,
	src/draggers/SoHandleBoxDragger.cpp,
	src/draggers/SoJackDragger.cpp,
	src/draggers/SoPointLightDragger.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/draggers/SoScale1Dragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp,
	src/draggers/all-draggers-cpp.cpp,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoBumpMapCoordinateElement.cpp,
	src/elements/SoBumpMapElement.cpp,
	src/elements/SoBumpMapMatrixElement.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoComplexityElement.cpp,
	src/elements/SoComplexityTypeElement.cpp,
	src/elements/SoCoordinateElement.cpp,
	src/elements/SoCreaseAngleElement.cpp,
	src/elements/SoCullElement.cpp,
	src/elements/SoDecimationPercentageElement.cpp,
	src/elements/SoDecimationTypeElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoDrawStyleElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoEnvironmentElement.cpp,
	src/elements/SoFloatElement.cpp,
	src/elements/SoFocalDistanceElement.cpp,
	src/elements/SoFontNameElement.cpp,
	src/elements/SoFontSizeElement.cpp,
	src/elements/SoInt32Element.cpp, src/elements/SoLazyElement.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoLightElement.cpp,
	src/elements/SoLightModelElement.cpp,
	src/elements/SoLinePatternElement.cpp,
	src/elements/SoLineWidthElement.cpp,
	src/elements/SoListenerDopplerElement.cpp,
	src/elements/SoListenerGainElement.cpp,
	src/elements/SoListenerOrientationElement.cpp,
	src/elements/SoListenerPositionElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoMaterialBindingElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoMultiTextureCoordinateElement.cpp,
	src/elements/SoMultiTextureEnabledElement.cpp,
	src/elements/SoMultiTextureImageElement.cpp,
	src/elements/SoMultiTextureMatrixElement.cpp,
	src/elements/SoNormalBindingElement.cpp,
	src/elements/SoNormalElement.cpp,
	src/elements/SoOverrideElement.cpp,
	src/elements/SoPickRayElement.cpp,
	src/elements/SoPickStyleElement.cpp,
	src/elements/SoPointSizeElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	src/elements/SoProfileElement.cpp,
	src/elements/SoProjectionMatrixElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoShapeHintsElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSoundElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoSwitchElement.cpp,
	src/elements/SoTextOutlineEnabledElement.cpp,
	src/elements/SoTexture3EnabledElement.cpp,
	src/elements/SoTextureCombineElement.cpp,
	src/elements/SoTextureCoordinateBindingElement.cpp,
	src/elements/SoTextureCoordinateElement.cpp,
	src/elements/SoTextureEnabledElement.cpp,
	src/elements/SoTextureImageElement.cpp,
	src/elements/SoTextureMatrixElement.cpp,
	src/elements/SoTextureOverrideElement.cpp,
	src/elements/SoTextureQualityElement.cpp,
	src/elements/SoTextureScalePolicyElement.cpp,
	src/elements/SoTextureScaleQualityElement.cpp,
	src/elements/SoTextureUnitElement.cpp,
	src/elements/SoTransparencyElement.cpp,
	src/elements/SoUnitsElement.cpp,
	src/elements/SoViewVolumeElement.cpp,
	src/elements/SoViewingMatrixElement.cpp,
	src/elements/SoViewportRegionElement.cpp,
	src/elements/SoWindowElement.cpp,
	src/elements/all-elements-cpp.cpp,
	src/elements/GL/SoGLCacheContextElement.cpp,
	src/elements/GL/SoGLClipPlaneElement.cpp,
	src/elements/GL/SoGLColorIndexElement.cpp,
	src/elements/GL/SoGLCoordinateElement.cpp,
	src/elements/GL/SoGLDisplayList.cpp,
	src/elements/GL/SoGLDrawStyleElement.cpp,
	src/elements/GL/SoGLEmissiveColorElement.cpp,
	src/elements/GL/SoGLEnvironmentElement.cpp,
	src/elements/GL/SoGLLazyElement.cpp,
	src/elements/GL/SoGLLightIdElement.cpp,
	src/elements/GL/SoGLLinePatternElement.cpp,
	src/elements/GL/SoGLLineWidthElement.cpp,
	src/elements/GL/SoGLModelMatrixElement.cpp,
	src/elements/GL/SoGLMultiTextureCoordinateElement.cpp,
	src/elements/GL/SoGLMultiTextureEnabledElement.cpp,
	src/elements/GL/SoGLMultiTextureImageElement.cpp,
	src/elements/GL/SoGLMultiTextureMatrixElement.cpp,
	src/elements/GL/SoGLNormalElement.cpp,
	src/elements/GL/SoGLPointSizeElement.cpp,
	src/elements/GL/SoGLPolygonOffsetElement.cpp,
	src/elements/GL/SoGLProjectionMatrixElement.cpp,
	src/elements/GL/SoGLRenderPassElement.cpp,
	src/elements/GL/SoGLShapeHintsElement.cpp,
	src/elements/GL/SoGLTexture3EnabledElement.cpp,
	src/elements/GL/SoGLTextureCoordinateElement.cpp,
	src/elements/GL/SoGLTextureEnabledElement.cpp,
	src/elements/GL/SoGLTextureImageElement.cpp,
	src/elements/GL/SoGLTextureMatrixElement.cpp,
	src/elements/GL/SoGLUpdateAreaElement.cpp,
	src/elements/GL/SoGLVBOElement.cpp,
	src/elements/GL/SoGLViewingMatrixElement.cpp,
	src/elements/GL/SoGLViewportRegionElement.cpp,
	src/elements/GL/all-glelements-cpp.cpp,
	src/engines/SoBoolOperation.cpp, src/engines/SoCalculator.cpp,
	src/engines/SoComposeMatrix.cpp, src/engines/SoComposeRotation.cpp,
	src/engines/SoComposeRotationFromTo.cpp,
	src/engines/SoComposeVec2f.cpp, src/engines/SoComposeVec3f.cpp,
	src/engines/SoComposeVec4f.cpp,
	src/engines/SoComputeBoundingBox.cpp,
	src/engines/SoConcatenate.cpp, src/engines/SoConvertAll.cpp,
	src/engines/SoCounter.cpp, src/engines/SoDecomposeMatrix.cpp,
	src/engines/SoDecomposeRotation.cpp,
	src/engines/SoDecomposeVec2f.cpp, src/engines/SoDecomposeVec3f.cpp,
	src/engines/SoDecomposeVec4f.cpp, src/engines/SoElapsedTime.cpp,
	src/engines/SoEngine.cpp, src/engines/SoEngineOutput.cpp,
	src/engines/SoFieldConverter.cpp, src/engines/SoGate.cpp,
	src/engines/SoInterpolate.cpp, src/engines/SoInterpolateFloat.cpp,
	src/engines/SoInterpolateRotation.cpp,
	src/engines/SoInterpolateVec2f.cpp,
	src/engines/SoInterpolateVec3f.cpp,
	src/engines/SoInterpolateVec4f.cpp, src/engines/SoNodeEngine.cpp,
	src/engines/SoOnOff.cpp, src/engines/SoOneShot.cpp,
	src/engines/SoOutputData.cpp, src/engines/SoSelectOne.cpp,
	src/engines/SoTimeCounter.cpp, src/engines/SoTransformVec3f.cpp,
	src/engines/SoTriggerAny.cpp, src/engines/all-engines-c.c,
	src/engines/all-engines-cpp.cpp, src/engines/evaluator.c,
	src/engines/evaluator.h, src/engines/evaluator.l,
	src/engines/evaluator.y, src/engines/evaluator_tab.c,
	src/engines/so_eval.ic, src/errors/SoDebugError.cpp,
	src/errors/SoError.cpp, src/errors/SoMemoryError.cpp,
	src/errors/SoReadError.cpp, src/errors/all-errors-c.c,
	src/errors/all-errors-cpp.cpp, src/errors/debugerror.c,
	src/errors/error.c, src/events/SoButtonEvent.cpp,
	src/events/SoEvent.cpp, src/events/SoKeyboardEvent.cpp,
	src/events/SoLocation2Event.cpp, src/events/SoMotion3Event.cpp,
	src/events/SoMouseButtonEvent.cpp,
	src/events/SoSpaceballButtonEvent.cpp,
	src/events/all-events-cpp.cpp, src/fields/SoField.cpp,
	src/fields/SoFieldContainer.cpp, src/fields/SoFieldData.cpp,
	src/fields/SoGlobalField.cpp, src/fields/SoMFBitMask.cpp,
	src/fields/SoMFBool.cpp, src/fields/SoMFColor.cpp,
	src/fields/SoMFEngine.cpp, src/fields/SoMFEnum.cpp,
	src/fields/SoMFFloat.cpp, src/fields/SoMFInt32.cpp,
	src/fields/SoMFMatrix.cpp, src/fields/SoMFName.cpp,
	src/fields/SoMFNode.cpp, src/fields/SoMFPath.cpp,
	src/fields/SoMFPlane.cpp, src/fields/SoMFRotation.cpp,
	src/fields/SoMFShort.cpp, src/fields/SoMFString.cpp,
	src/fields/SoMFTime.cpp, src/fields/SoMFUInt32.cpp,
	src/fields/SoMFUShort.cpp, src/fields/SoMFVec2f.cpp,
	src/fields/SoMFVec3d.cpp, src/fields/SoMFVec3f.cpp,
	src/fields/SoMFVec4f.cpp, src/fields/SoMField.cpp,
	src/fields/SoSFBitMask.cpp, src/fields/SoSFBool.cpp,
	src/fields/SoSFBox3f.cpp, src/fields/SoSFBox3s.cpp,
	src/fields/SoSFColor.cpp, src/fields/SoSFEngine.cpp,
	src/fields/SoSFEnum.cpp, src/fields/SoSFFloat.cpp,
	src/fields/SoSFImage.cpp, src/fields/SoSFImage3.cpp,
	src/fields/SoSFInt32.cpp, src/fields/SoSFMatrix.cpp,
	src/fields/SoSFName.cpp, src/fields/SoSFNode.cpp,
	src/fields/SoSFPath.cpp, src/fields/SoSFPlane.cpp,
	src/fields/SoSFRotation.cpp, src/fields/SoSFShort.cpp,
	src/fields/SoSFString.cpp, src/fields/SoSFTime.cpp,
	src/fields/SoSFTrigger.cpp, src/fields/SoSFUInt32.cpp,
	src/fields/SoSFUShort.cpp, src/fields/SoSFVec2f.cpp,
	src/fields/SoSFVec2s.cpp, src/fields/SoSFVec3d.cpp,
	src/fields/SoSFVec3f.cpp, src/fields/SoSFVec3s.cpp,
	src/fields/SoSFVec4f.cpp, src/fields/SoSField.cpp,
	src/fields/all-fields-cpp.cpp, src/fields/shared.cpp,
	src/fields/shared.h, src/fonts/all-fonts-c.c, src/fonts/common.c,
	src/fonts/common.h, src/fonts/default2dfont.c,
	src/fonts/default3dfont.c, src/fonts/defaultfonts.h,
	src/fonts/extractfont.cpp, src/fonts/font13.ic,
	src/fonts/font17.ic, src/fonts/font25.ic, src/fonts/font33.ic,
	src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h,
	src/fonts/fontspec.c, src/fonts/fontspec.h, src/fonts/freetype.c,
	src/fonts/freetype.h, src/fonts/glyph.c, src/fonts/glyph.h,
	src/fonts/glyph2d.c, src/fonts/glyph2d.h, src/fonts/glyph3d.c,
	src/fonts/glyph3d.h, src/fonts/win32.c, src/fonts/win32.h,
	src/glue/GLUWrapper.c, src/glue/all-glue-c.c, src/glue/bzip2.c,
	src/glue/cg.c, src/glue/dl.c, src/glue/flwfreetype.c,
	src/glue/fontlib_wrapper.c, src/glue/freetype.c, src/glue/gl.c,
	src/glue/gl_agl.c, src/glue/gl_glx.c, src/glue/gl_wgl.c,
	src/glue/normalization_cubemap.c, src/glue/openal_wrapper.c,
	src/glue/simage_wrapper.c, src/glue/spidermonkey.c,
	src/glue/win32api.c, src/glue/zlib.c,
	src/hardcopy/CGMVectorOutput.cpp, src/hardcopy/GDIVectorOutput.cpp,
	src/hardcopy/HPGLVectorOutput.cpp, src/hardcopy/HardCopy.cpp,
	src/hardcopy/PSVectorOutput.cpp, src/hardcopy/VectorOutput.cpp,
	src/hardcopy/VectorizeAction.cpp,
	src/hardcopy/VectorizeActionP.cpp, src/hardcopy/VectorizeActionP.h,
	src/hardcopy/VectorizeCGMAction.cpp,
	src/hardcopy/VectorizeGDIAction.cpp,
	src/hardcopy/VectorizeHPGLAction.cpp,
	src/hardcopy/VectorizeItems.h, src/hardcopy/VectorizePSAction.cpp,
	src/hardcopy/all-hardcopy-cpp.cpp, src/io/SoByteStream.cpp,
	src/io/SoInput.cpp, src/io/SoInputP.h, src/io/SoInput_FileInfo.cpp,
	src/io/SoInput_FileInfo.h, src/io/SoInput_Reader.cpp,
	src/io/SoInput_Reader.h, src/io/SoOutput.cpp,
	src/io/SoOutput_Writer.cpp, src/io/SoOutput_Writer.h,
	src/io/SoTranReceiver.cpp, src/io/SoTranSender.cpp,
	src/io/SoWriterefCounter.cpp, src/io/SoWriterefCounter.h,
	src/io/all-io-c.c, src/io/all-io-cpp.cpp, src/io/gzmemio.h,
	src/lists/SbIntList.cpp, src/lists/SbList.cpp,
	src/lists/SbPList.cpp, src/lists/SbStringList.cpp,
	src/lists/SbVec3fList.cpp, src/lists/SoActionMethodList.cpp,
	src/lists/SoAuditorList.cpp, src/lists/SoBaseList.cpp,
	src/lists/SoCallbackList.cpp, src/lists/SoDetailList.cpp,
	src/lists/SoEnabledElementsList.cpp, src/lists/SoEngineList.cpp,
	src/lists/SoEngineOutputList.cpp, src/lists/SoFieldList.cpp,
	src/lists/SoNodeList.cpp, src/lists/SoPathList.cpp,
	src/lists/SoPickedPointList.cpp, src/lists/SoTypeList.cpp,
	src/lists/all-lists-cpp.cpp, src/manips/SoCenterballManip.cpp,
	src/manips/SoClipPlaneManip.cpp,
	src/manips/SoDirectionalLightManip.cpp,
	src/manips/SoHandleBoxManip.cpp, src/manips/SoJackManip.cpp,
	src/manips/SoPointLightManip.cpp, src/manips/SoSpotLightManip.cpp,
	src/manips/SoTabBoxManip.cpp, src/manips/SoTrackballManip.cpp,
	src/manips/SoTransformBoxManip.cpp,
	src/manips/SoTransformManip.cpp, src/manips/SoTransformerManip.cpp,
	src/manips/all-manips-cpp.cpp, src/manips/commoncode.cpp,
	src/misc/AudioTools.cpp, src/misc/AudioTools.h,
	src/misc/CoinOffscreenGLCanvas.cpp,
	src/misc/CoinOffscreenGLCanvas.h,
	src/misc/CoinStaticObjectInDLL.cpp,
	src/misc/CoinStaticObjectInDLL.h, src/misc/PointerMap.cpp,
	src/misc/PointerMap.h, src/misc/SoAudioDevice.cpp,
	src/misc/SoBase.cpp, src/misc/SoChildList.cpp,
	src/misc/SoContextHandler.cpp, src/misc/SoDB.cpp,
	src/misc/SoFullPath.cpp, src/misc/SoGL.cpp,
	src/misc/SoGLBigImage.cpp, src/misc/SoGLFaceSetTemplate.icc,
	src/misc/SoGLImage.cpp, src/misc/SoGLLineSetTemplate.icc,
	src/misc/SoGLTristripTemplate.icc,
	src/misc/SoGLindexedLineSetTemplate.icc,
	src/misc/SoGLnonindexedFaceSetTemplate.icc,
	src/misc/SoGLnonindexedTristripSetTemplate.icc,
	src/misc/SoGLqmeshTemplate.icc,
	src/misc/SoGLqmeshpreciselightingTemplate.icc,
	src/misc/SoGenerate.cpp, src/misc/SoGlyph.cpp,
	src/misc/SoInteraction.cpp, src/misc/SoJavaScriptEngine.cpp,
	src/misc/SoLightPath.cpp, src/misc/SoLockManager.cpp,
	src/misc/SoNormalGenerator.cpp, src/misc/SoNotRec.cpp,
	src/misc/SoNotification.cpp, src/misc/SoOffscreenAGLData.cpp,
	src/misc/SoOffscreenAGLData.h, src/misc/SoOffscreenGLXData.cpp,
	src/misc/SoOffscreenGLXData.h, src/misc/SoOffscreenInternalData.h,
	src/misc/SoOffscreenRenderer.cpp, src/misc/SoOffscreenWGLData.cpp,
	src/misc/SoOffscreenWGLData.h, src/misc/SoPath.cpp,
	src/misc/SoPick.cpp, src/misc/SoPickedPoint.cpp,
	src/misc/SoPrimitiveVertex.cpp, src/misc/SoProto.cpp,
	src/misc/SoProtoInstance.cpp, src/misc/SoSceneManager.cpp,
	src/misc/SoState.cpp, src/misc/SoTempPath.cpp, src/misc/SoType.cpp,
	src/misc/SoVBO.cpp, src/misc/SoVBO.h,
	src/misc/SoVertexArrayIndexer.cpp, src/misc/SoVertexArrayIndexer.h,
	src/misc/all-misc-cpp.cpp, src/misc/cppmangle.icc,
	src/mpeg/SoMPEGFrameRenderer.cpp, src/mpeg/SoMPEGRenderer.cpp,
	src/mpeg/all-mpeg-cpp.cpp, src/nodekits/SoAppearanceKit.cpp,
	src/nodekits/SoBaseKit.cpp, src/nodekits/SoCameraKit.cpp,
	src/nodekits/SoInteractionKit.cpp, src/nodekits/SoLightKit.cpp,
	src/nodekits/SoNodeKit.cpp, src/nodekits/SoNodeKitListPart.cpp,
	src/nodekits/SoNodeKitPath.cpp, src/nodekits/SoNodekitCatalog.cpp,
	src/nodekits/SoSceneKit.cpp, src/nodekits/SoSeparatorKit.cpp,
	src/nodekits/SoShapeKit.cpp, src/nodekits/SoWrapperKit.cpp,
	src/nodekits/all-nodekits-cpp.cpp, src/nodes/SoAnnoText3.cpp,
	src/nodes/SoAnnoText3Property.cpp, src/nodes/SoAnnotation.cpp,
	src/nodes/SoAntiSquish.cpp, src/nodes/SoArray.cpp,
	src/nodes/SoBaseColor.cpp, src/nodes/SoBlinker.cpp,
	src/nodes/SoBumpMap.cpp, src/nodes/SoBumpMapCoordinate.cpp,
	src/nodes/SoBumpMapTransform.cpp, src/nodes/SoCallback.cpp,
	src/nodes/SoCamera.cpp, src/nodes/SoClipPlane.cpp,
	src/nodes/SoColorIndex.cpp, src/nodes/SoComplexity.cpp,
	src/nodes/SoCoordinate3.cpp, src/nodes/SoCoordinate4.cpp,
	src/nodes/SoDirectionalLight.cpp, src/nodes/SoDrawStyle.cpp,
	src/nodes/SoEnvironment.cpp, src/nodes/SoEventCallback.cpp,
	src/nodes/SoExtSelection.cpp, src/nodes/SoFile.cpp,
	src/nodes/SoFont.cpp, src/nodes/SoFontStyle.cpp,
	src/nodes/SoGroup.cpp, src/nodes/SoInfo.cpp, src/nodes/SoLOD.cpp,
	src/nodes/SoLabel.cpp, src/nodes/SoLevelOfDetail.cpp,
	src/nodes/SoLight.cpp, src/nodes/SoLightModel.cpp,
	src/nodes/SoLinearProfile.cpp, src/nodes/SoListener.cpp,
	src/nodes/SoLocateHighlight.cpp, src/nodes/SoMaterial.cpp,
	src/nodes/SoMaterialBinding.cpp, src/nodes/SoMatrixTransform.cpp,
	src/nodes/SoMultipleCopy.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoNormal.cpp, src/nodes/SoNormalBinding.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoOrthographicCamera.cpp,
	src/nodes/SoPackedColor.cpp, src/nodes/SoPathSwitch.cpp,
	src/nodes/SoPattern.cpp, src/nodes/SoPendulum.cpp,
	src/nodes/SoPerspectiveCamera.cpp, src/nodes/SoPickStyle.cpp,
	src/nodes/SoPointLight.cpp, src/nodes/SoPolygonOffset.cpp,
	src/nodes/SoProfile.cpp, src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoResetTransform.cpp,
	src/nodes/SoRotation.cpp, src/nodes/SoRotationXYZ.cpp,
	src/nodes/SoRotor.cpp, src/nodes/SoScale.cpp,
	src/nodes/SoSceneTexture2.cpp, src/nodes/SoSelection.cpp,
	src/nodes/SoSeparator.cpp, src/nodes/SoShapeHints.cpp,
	src/nodes/SoShuttle.cpp, src/nodes/SoSoundElementHelper.h,
	src/nodes/SoSpotLight.cpp, src/nodes/SoSurroundScale.cpp,
	src/nodes/SoSwitch.cpp, src/nodes/SoTexture2.cpp,
	src/nodes/SoTexture2Transform.cpp, src/nodes/SoTexture3.cpp,
	src/nodes/SoTexture3Transform.cpp, src/nodes/SoTextureCombine.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoTextureCoordinate3.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp,
	src/nodes/SoTextureCoordinateCube.cpp,
	src/nodes/SoTextureCoordinateCylinder.cpp,
	src/nodes/SoTextureCoordinateDefault.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinateFunction.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp,
	src/nodes/SoTextureCoordinateSphere.cpp,
	src/nodes/SoTextureScalePolicy.cpp, src/nodes/SoTextureUnit.cpp,
	src/nodes/SoTransform.cpp, src/nodes/SoTransformSeparator.cpp,
	src/nodes/SoTransformation.cpp, src/nodes/SoTranslation.cpp,
	src/nodes/SoTransparencyType.cpp, src/nodes/SoUnits.cpp,
	src/nodes/SoUnknownNode.cpp, src/nodes/SoVertexProperty.cpp,
	src/nodes/SoWWWAnchor.cpp, src/nodes/SoWWWInline.cpp,
	src/nodes/all-nodes-cpp.cpp,
	src/projectors/SbCylinderPlaneProjector.cpp,
	src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/projectors/SbLineProjector.cpp,
	src/projectors/SbPlaneProjector.cpp,
	src/projectors/SbProjector.cpp,
	src/projectors/SbSpherePlaneProjector.cpp,
	src/projectors/SbSphereProjector.cpp,
	src/projectors/SbSphereSectionProjector.cpp,
	src/projectors/SbSphereSheetProjector.cpp,
	src/projectors/all-projectors-cpp.cpp,
	src/sensors/SoAlarmSensor.cpp, src/sensors/SoDataSensor.cpp,
	src/sensors/SoDelayQueueSensor.cpp, src/sensors/SoFieldSensor.cpp,
	src/sensors/SoIdleSensor.cpp, src/sensors/SoNodeSensor.cpp,
	src/sensors/SoOneShotSensor.cpp, src/sensors/SoPathSensor.cpp,
	src/sensors/SoSensor.cpp, src/sensors/SoSensorManager.cpp,
	src/sensors/SoTimerQueueSensor.cpp, src/sensors/SoTimerSensor.cpp,
	src/sensors/all-sensors-cpp.cpp, src/shapenodes/SoAsciiText.cpp,
	src/shapenodes/SoCone.cpp, src/shapenodes/SoCube.cpp,
	src/shapenodes/SoCylinder.cpp, src/shapenodes/SoFaceSet.cpp,
	src/shapenodes/SoImage.cpp, src/shapenodes/SoIndexedFaceSet.cpp,
	src/shapenodes/SoIndexedLineSet.cpp,
	src/shapenodes/SoIndexedNurbsCurve.cpp,
	src/shapenodes/SoIndexedNurbsSurface.cpp,
	src/shapenodes/SoIndexedShape.cpp,
	src/shapenodes/SoIndexedTriangleStripSet.cpp,
	src/shapenodes/SoLineSet.cpp, src/shapenodes/SoMarkerSet.cpp,
	src/shapenodes/SoNonIndexedShape.cpp,
	src/shapenodes/SoNurbsCurve.cpp, src/shapenodes/SoNurbsSurface.cpp,
	src/shapenodes/SoPointSet.cpp, src/shapenodes/SoQuadMesh.cpp,
	src/shapenodes/SoShape.cpp, src/shapenodes/SoSphere.cpp,
	src/shapenodes/SoText2.cpp, src/shapenodes/SoText3.cpp,
	src/shapenodes/SoTriangleStripSet.cpp,
	src/shapenodes/SoVertexShape.cpp,
	src/shapenodes/all-shapenodes-cpp.cpp,
	src/shapenodes/soshape_bigtexture.cpp,
	src/shapenodes/soshape_bigtexture.h,
	src/shapenodes/soshape_bumprender.cpp,
	src/shapenodes/soshape_bumprender.h,
	src/shapenodes/soshape_primdata.cpp,
	src/shapenodes/soshape_primdata.h,
	src/shapenodes/soshape_trianglesort.cpp,
	src/shapenodes/soshape_trianglesort.h,
	src/share/gl/CoinGLPerformance.cpp,
	src/share/gl/CoinGLPerformance.h, src/threads/all-threads-c.c,
	src/threads/barrier.c, src/threads/common.c, src/threads/condvar.c,
	src/threads/condvar_pthread.ic, src/threads/condvar_win32.ic,
	src/threads/fifo.c, src/threads/mutex.c,
	src/threads/mutex_pthread.ic, src/threads/mutex_win32cs.ic,
	src/threads/mutex_win32mutex.ic, src/threads/recmutex.c,
	src/threads/rwmutex.c, src/threads/sched.c, src/threads/storage.c,
	src/threads/sync.c, src/threads/thread.c,
	src/threads/thread_pthread.ic, src/threads/thread_win32.ic,
	src/threads/worker.c, src/threads/wpool.c,
	src/threads/wrappers.cpp, src/upgraders/SoPackedColorV20.cpp,
	src/upgraders/SoPackedColorV20.h,
	src/upgraders/SoShapeHintsV10.cpp, src/upgraders/SoShapeHintsV10.h,
	src/upgraders/SoUpgrader.cpp, src/upgraders/SoUpgrader.h,
	src/upgraders/all-upgraders-cpp.cpp, src/vrml97/Anchor.cpp,
	src/vrml97/Appearance.cpp, src/vrml97/AudioClip.cpp,
	src/vrml97/Background.cpp, src/vrml97/Billboard.cpp,
	src/vrml97/Box.cpp, src/vrml97/Collision.cpp, src/vrml97/Color.cpp,
	src/vrml97/ColorInterpolator.cpp, src/vrml97/Cone.cpp,
	src/vrml97/Coordinate.cpp, src/vrml97/CoordinateInterpolator.cpp,
	src/vrml97/Cylinder.cpp, src/vrml97/CylinderSensor.cpp,
	src/vrml97/DirectionalLight.cpp, src/vrml97/DragSensor.cpp,
	src/vrml97/ElevationGrid.cpp, src/vrml97/Extrusion.cpp,
	src/vrml97/Fog.cpp, src/vrml97/FontStyle.cpp,
	src/vrml97/Geometry.cpp, src/vrml97/Group.cpp,
	src/vrml97/ImageTexture.cpp, src/vrml97/IndexedFaceSet.cpp,
	src/vrml97/IndexedLine.cpp, src/vrml97/IndexedLineSet.cpp,
	src/vrml97/IndexedShape.cpp, src/vrml97/Init.cpp,
	src/vrml97/Inline.cpp, src/vrml97/Interpolator.cpp,
	src/vrml97/JS_VRMLClasses.cpp, src/vrml97/JS_VRMLClasses.h,
	src/vrml97/LOD.cpp, src/vrml97/Light.cpp, src/vrml97/Material.cpp,
	src/vrml97/MovieTexture.cpp, src/vrml97/NavigationInfo.cpp,
	src/vrml97/Normal.cpp, src/vrml97/NormalInterpolator.cpp,
	src/vrml97/OrientationInterpolator.cpp, src/vrml97/Parent.cpp,
	src/vrml97/PixelTexture.cpp, src/vrml97/PlaneSensor.cpp,
	src/vrml97/PointLight.cpp, src/vrml97/PointSet.cpp,
	src/vrml97/PositionInterpolator.cpp,
	src/vrml97/ProximitySensor.cpp, src/vrml97/ScalarInterpolator.cpp,
	src/vrml97/Script.cpp, src/vrml97/Sensor.cpp, src/vrml97/Shape.cpp,
	src/vrml97/Sound.cpp, src/vrml97/Sphere.cpp,
	src/vrml97/SphereSensor.cpp, src/vrml97/SpotLight.cpp,
	src/vrml97/Switch.cpp, src/vrml97/Text.cpp, src/vrml97/Texture.cpp,
	src/vrml97/TextureCoordinate.cpp, src/vrml97/TextureTransform.cpp,
	src/vrml97/TimeSensor.cpp, src/vrml97/TouchSensor.cpp,
	src/vrml97/Transform.cpp, src/vrml97/VertexLine.cpp,
	src/vrml97/VertexPoint.cpp, src/vrml97/VertexShape.cpp,
	src/vrml97/Viewpoint.cpp, src/vrml97/VisibilitySensor.cpp,
	src/vrml97/WorldInfo.cpp, src/vrml97/all-vrml97-cpp.cpp,
	templates/Copyright.tpl:
	
	copyright header updates

2006-04-29 14:09  larsa

	* build/msvc6/include/: config-debug.h, config-release.h:
	
	regenerate

2006-04-29 13:34  larsa

	* src/base/SbTime.cpp:
	
	compile fix

2006-04-29 13:25  larsa

	* include/discard.h.in:
	
	bootstrap

2006-04-28 18:59  larsa

	* configure.ac, include/discard.h.in:
	
	a couple of additional type tests, and bootstrap

2006-04-27 23:50  larsa

	* FAQ, Makefile.am, NEWS, README.WIN32, RELNOTES,
	docs/ChangeLog.v2.4.5, docs/announcement-2_4_5.txt:
	
	misc updates

2006-04-27 23:48  larsa

	* src/fonts/all-fonts-c.c:
	
	compile fix (enable-compact)

2006-04-27 23:42  larsa

	* src/vrml97/Billboard.cpp:
	
	compile fix (enable-compact)

2006-04-24 10:16  larsa

	* README.WIN32, build/README:
	
	updates

2006-04-24 09:38  larsa

	* Makefile.am:
	
	additional dist files

2006-04-24 08:37  larsa

	* build/msvc7/: coin2.sln, coin2.vcproj:
	
	generated files

2006-04-24 01:06  larsa

	* build/msvc7/include/: config-debug.h, config-release.h,
	Inventor/C/basic.h:
	
	generated files

2006-04-24 00:31  larsa

	* build/msvc8/: coin2.sln, coin2.vcproj, config-wrapper.h,
	generate.sh, install-dll-debug.bat, install-dll-release.bat,
	install-headers.bat, install-lib-debug.bat,
	install-lib-release.bat, include/config-debug.h,
	include/config-release.h, include/config.h, include/setup.h,
	include/Inventor/C/basic.h, include/Inventor/system/gl.h,
	include/Inventor/system/inttypes.h:
	
	generated files

2006-04-24 00:26  larsa

	* build/msvc8/data/draggerDefaults/: centerballDragger.h,
	directionalLightDragger.h, dragPointDragger.h, handleBoxDragger.h,
	jackDragger.h, pointLightDragger.h, rotateCylindricalDragger.h,
	rotateDiscDragger.h, rotateSphericalDragger.h, scale1Dragger.h,
	scale2Dragger.h, scale2UniformDragger.h, scaleUniformDragger.h,
	spotLightDragger.h, tabBoxDragger.h, tabPlaneDragger.h,
	trackballDragger.h, transformBoxDragger.h, transformerDragger.h,
	translate1Dragger.h, translate2Dragger.h:
	
	dragger defaults

2006-04-24 00:07  larsa

	* build/msvc6/: coin2.dsp, include/config-debug.h,
	include/config-release.h, include/Inventor/C/basic.h:
	
	regenerate

2006-04-23 17:51  larsa

	* src/engines/: so_eval.diff, so_eval.ic:
	
	msvc8 update

2006-04-23 17:49  larsa

	* src/engines/so_eval.ic:
	
	unpatched so_eval

2006-04-23 17:47  larsa

	* src/: tidbits.c, base/SbTime.cpp, base/time.c, fonts/freetype.c,
	io/SoInput_Reader.cpp, io/SoOutput_Writer.cpp:
	
	msvc8 updates

2006-04-23 17:44  larsa

	* include/Inventor/C/basic.h.in:
	
	for some reason, config.status messes up these now, so this is a
	workaround hack

2006-04-23 17:42  larsa

	* configure.ac, include/discard.h.in:
	
	msvc8 updates

2006-04-22 15:59  larsa

	* build/msvc7/: coin2.sln, coin2.vcproj, install-headers.bat,
	include/Inventor/system/gl.h:
	
	regenerate files

2006-04-22 15:27  larsa

	* build/msvc6/: coin2.dsp, install-headers.bat,
	include/Inventor/system/gl.h:
	
	regenerated files

2006-04-21 16:16  mortene

	* THANKS:
	
	Add Martin Spindler, who implemented the shader nodes.

2006-04-21 10:47  pederb

	* src/vrml97/: Coordinate.cpp, Normal.cpp, TextureCoordinate.cpp:
	
	Create VBO buffers also for VRML97 vertex data nodes. Ported from
	Coin-dev.

2006-04-21 10:39  pederb

	* src/nodes/SoSceneTexture2.cpp:
	
	Bugfix. Update texture flags after setting the pbuffer.

2006-04-20 09:37  pederb

	* src/actions/SoAction.cpp:
	
	Compile fix.

2006-04-19 17:22  pederb

	* include/Inventor/actions/SoActions.h, src/actions/SoAction.cpp:
	
	Initialize new actions.

2006-04-19 15:33  kintel

	* src/fields/SoSFBox3f.cpp, include/Inventor/fields/SoSFBox3f.h:
	
	Evaluate COIN_NEXT_MINOR after we get a chance to set it

2006-04-19 15:18  kintel

	* include/Inventor/fields/Makefile.am,
	include/Inventor/fields/SoFields.h,
	include/Inventor/fields/SoSFBox3f.h, docs/coin.doxygen.in,
	src/fields/Makefile.am, src/fields/SoField.cpp,
	src/fields/SoSFBox3f.cpp, src/fields/all-fields-cpp.cpp:
	
	New class: SoSFBox3f

2006-04-19 12:23  kintel

	* src/fields/SoSFBox3s.cpp:
	
	bugfix: Writing of SoSFBox3s was broken

2006-04-18 19:54  kintel

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	include/Inventor/system/gl.h.in, src/glue/gl.c:
	
	Wrapped (ARB_)occlusion_query

2006-04-14 16:55  kyrah

	* FAQ.legal:
	
	Fixed broken link to PEL.

2006-04-14 16:48  kyrah

	* README.MACOSX:
	
	General update, removed obsolete information, fixed broken links
	etc.

2006-04-14 15:56  kyrah

	* examples/bindings/glutiv.cpp:
	
	Doc fix: build app bundle on Mac OS X.

2006-04-12 18:35  kyrah

	* packaging/macosx/checklist.txt:
	
	Update to include information about Universal Binaries, and
	generally modified to reflect my own way of doing things.

2006-04-07 17:15  pederb

	* src/draggers/SoDirectionalLightDragger.cpp:
	
	Bugfix. Avoid that a new part is created while the scene graph is
	traversed. Bug reported by Peciva Jan.

2006-04-03 15:46  mortene

	* src/: fields/SoMFNode.cpp, fields/SoSFEngine.cpp,
	fields/SoSFNode.cpp, misc/SoDB.cpp, misc/SoPath.cpp:
	
	Revert kintel's fixes for bugs 55 and 59, as they broke with the
	policy of accepting NULL-values in SoMFNode fields.

2006-03-30 17:18  kyrah

	* include/Inventor/misc/SoScriptEngine.h:
	
	Added missing default constructor and destructor.

2006-03-27 12:28  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	Bugfix. Remove erroneous drawstyle test in lineset and pointset
	callbacks.

2006-03-23 16:52  kyrah

	* configure.ac:
	
	Don't inherit universal binary options into coin-config settings.

2006-03-23 15:23  kyrah

	* configure.ac:
	
	Use SIM_AC_UNIVERSAL_BINARIES macro. This also adds support for
	building UBs on PowerPC machines.

2006-03-20 16:18  kintel

	* src/misc/SoVBO.cpp:
	
	bugfix: Only (0,0,0)-vertices were set up in testGLPerformance()

2006-03-15 11:36  mortene

	* src/misc/SoType.cpp:
	
	Doc: add an example to getAllDerivedFrom().

2006-03-14 16:24  mortene

	* src/tidbits.c:
	
	FIXME note about recent problems with Cygwin's
	GetEnvironmentVariable().

2006-03-14 11:11  pederb

	* src/elements/GL/SoGLTextureImageElement.cpp:
	
	Improved alpha test detection.

2006-03-13 11:36  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Compile fix: take away qualifiers for inline functions.

2006-03-13 11:27  mortene

	* cfg/wrapmsvc.exe:
	
	bootstrap, new version of wrapmsvc.exe which works with most recent
	Cygwin versions

2006-03-08 11:38  wiesener

	* include/Inventor/events/SoLocation2Event.h,
	src/events/SoLocation2Event.cpp:
	
	Fix: Visual Studio 2005 expects a constructor

2006-03-08 09:08  mortene

	* build/: msvc6/include/Inventor/system/gl.h,
	msvc7/include/Inventor/system/gl.h:
	
	Sync.

2006-03-07 16:45  kyrah

	* configure.ac:
	
	Universal Binary support. Note that this needs to be bootstrapped
	against libtool 1.5.22 to work properly.

2006-03-07 15:19  mortene

	* src/glue/gl_agl.c, include/Inventor/system/gl.h.in,
	src/glue/gl_wgl.c:
	
	Bugfix: prefer a buffer with stencil capabilities for pbuffers, as
	for software offscreen buffers.

2006-03-07 15:16  mortene

	* src/glue/gl_glx.c:
	
	Bugfix: prefer a buffer with stencil capabilities for pbuffers, as
	for software offscreen buffers.

2006-03-01 13:33  mortene

	* include/Inventor/system/gl.h.in, src/base/SbGLUTessellator.cpp:
	
	Robustness: provide an option to silence warnings on bow-tie
	polygons (i.e. polygons with intersecting edges) when using the GLU
	tessellator.

2006-03-01 12:59  mortene

	* src/misc/SoGLBigImage.cpp:
	
	Compile fix.

2006-03-01 12:33  mortene

	* include/Inventor/C/tidbitsp.h, src/actions/SoAction.cpp,
	src/base/namemap.c, src/base/rbptree.c, src/draggers/SoDragger.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoCoordinateElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoFontNameElement.cpp, src/elements/SoLazyElement.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	src/elements/GL/SoGLCacheContextElement.cpp,
	src/engines/SoConvertAll.cpp, src/errors/SoDebugError.cpp,
	src/errors/debugerror.c, src/errors/error.c,
	src/events/SoKeyboardEvent.cpp, src/fields/SoField.cpp,
	src/fields/SoFieldContainer.cpp, src/fields/SoGlobalField.cpp,
	src/fields/SoMField.cpp, src/fonts/fontlib_wrapper.c,
	src/fonts/glyph2d.c, src/fonts/glyph3d.c,
	src/hardcopy/HardCopy.cpp, src/io/SoInput.cpp, src/io/SoOutput.cpp,
	src/io/SoWriterefCounter.cpp, src/misc/AudioTools.cpp,
	src/misc/CoinOffscreenGLCanvas.cpp, src/misc/SoAudioDevice.cpp,
	src/misc/SoBase.cpp, src/misc/SoContextHandler.cpp,
	src/misc/SoDB.cpp, src/misc/SoGL.cpp, src/misc/SoGLBigImage.cpp,
	src/misc/SoGLImage.cpp, src/misc/SoGlyph.cpp,
	src/misc/SoInteraction.cpp, src/misc/SoLockManager.cpp,
	src/misc/SoOffscreenGLXData.cpp, src/misc/SoPickedPoint.cpp,
	src/misc/SoProto.cpp, src/misc/SoProtoInstance.cpp,
	src/misc/SoSceneManager.cpp, src/misc/SoType.cpp,
	src/misc/SoVBO.cpp, src/nodekits/SoInteractionKit.cpp,
	src/nodekits/SoNodeKitListPart.cpp, src/nodekits/SoNodeKitPath.cpp,
	src/nodes/SoLevelOfDetail.cpp, src/nodes/SoLinearProfile.cpp,
	src/nodes/SoLocateHighlight.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoSelection.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoWWWAnchor.cpp, src/nodes/SoWWWInline.cpp,
	src/shapenodes/SoMarkerSet.cpp, src/shapenodes/SoShape.cpp,
	src/threads/mutex.c, src/threads/recmutex.c, src/threads/sync.c,
	src/threads/thread.c, src/upgraders/SoUpgrader.cpp,
	src/vrml97/AudioClip.cpp, src/vrml97/ImageTexture.cpp,
	src/vrml97/Inline.cpp, src/vrml97/JS_VRMLClasses.cpp,
	src/vrml97/Parent.cpp, src/vrml97/Script.cpp, src/vrml97/Shape.cpp:
	
	Clean-up: take care of the coin_atexit() priority setting mess.

2006-02-28 16:47  pederb

	* src/nodes/SoCallback.cpp:
	
	Doc. update.

2006-02-27 16:32  mortene

	* src/glue/: GLUWrapper.c, bzip2.c, cg.c, freetype.c, gl.c,
	openal_wrapper.c, simage_wrapper.c, spidermonkey.c, zlib.c:
	
	Bugfixes: clean up dynamically loaded libraries last, so all
	internal code with dependencies to these libs is guaranteed to be
	cleaned up first.

2006-02-27 16:30  mortene

	* src/tidbits.c:
	
	Bugfix: external clean-up code should run *first*, not last (after
	Coin clean-up functions), as it could easily have dependencies to
	Coin functionality. Jeez.

2006-02-27 16:29  mortene

	* include/Inventor/C/tidbitsp.h:
	
	Internal feature: use an enum for the coin_atexit priority
	argument, to make the risk smaller for inconsistencies with the
	priority values.

2006-02-27 15:58  mortene

	* src/: base/SbTesselator.cpp, fonts/freetype.c,
	nodes/SoAnnoText3.cpp, nodes/SoPolygonOffset.cpp,
	nodes/SoUnknownNode.cpp:
	
	Doc: misc API docs additions, FIXMEs and code comments.

2006-02-27 15:54  mortene

	* src/misc/CoinStaticObjectInDLL.cpp:
	
	Robustness: make it possible to disable the one-DLL-in-process
	check at run-time. Plus make it a little easier to disable it at
	compile-time.

2006-02-27 13:16  mortene

	* src/base/: SbGLUTessellator.cpp, SbGLUTessellator.h:
	
	Bugfix: use correct calling convention under MS Windows for
	callback functions.

2006-02-23 21:08  larsa

	* build/msvc7/: coin2.sln, coin2.vcproj, include/config-debug.h,
	include/config-release.h, include/Inventor/C/basic.h,
	include/Inventor/system/gl.h:
	
	update

2006-02-23 19:55  larsa

	* build/msvc6/: coin2.dsp, include/config-debug.h,
	include/config-release.h, include/Inventor/C/basic.h,
	include/Inventor/system/gl.h:
	
	update

2006-02-23 19:23  mortene

	* include/Inventor/C/glue/win32api.h, src/glue/win32api.c:
	
	Clean-up: wrap Win32 API functions SelectObject() and GetObject(),
	for convenience, and for removing a lot of unnecessary error
	checking in other code.

2006-02-23 19:08  mortene

	* include/Inventor/C/glue/glp.h, src/glue/gl.c, src/glue/gl_agl.c,
	src/glue/gl_glx.c, src/glue/gl_wgl.c:
	
	HACK: work-around for the problem with missing stencil bits in
	offscreen GL buffers.

2006-02-23 15:36  kyrah

	* src/shapenodes/SoNurbsCurve.cpp:
	
	Doc fix.

2006-02-22 18:25  kyrah

	* bin/coin-config:
	
	Cosmetics: state name of created application bundle.

2006-02-22 13:41  mortene

	* include/Inventor/VRMLnodes/SoVRMLInline.h:
	
	Bugfix: destructor should be protected, no private. Problem
	reported by Jan Peciva.

2006-02-22 13:26  mortene

	* src/actions/: SoToVRML2Action.cpp, SoToVRMLAction.cpp:
	
	Bugfix: SoType::overrideType() should influence the conversion
	process. Problem reported and fix suggested by Jan Peciva.

2006-02-21 16:20  kyrah

	* include/Inventor/C/tidbits.h:
	
	coin_host_get_endianness() has been public for a while...

2006-02-21 12:40  pederb

	* src/fields/SoSFNode.cpp:
	
	Bugfix for recently introduced bug in the binary file format
	reader.

2006-02-21 10:18  pederb

	* src/glue/openal_wrapper.c:
	
	Only print debug messages if COIN_DEBUG_AUDIO is set.

2006-02-20 21:52  mortene

	* src/nodes/SoSeparator.cpp:
	
	Minor performance fix: only read static envvar once, not every time
	an SoSeparator is instantiated. Reported by Frank Hibbeln.

2006-02-20 15:04  mortene

	* src/fonts/win32.c:
	
	Bugfix: the debugging output listing all available fonts on the
	system had stopped working because we tried to use an uninitialized
	device context.

2006-02-20 14:45  mortene

	* src/fonts/win32.c:
	
	Bugfix: render fonts on baseline, not centered within font bbox.
	Bug reported by Duncan Souter.

2006-02-20 13:06  thammer

	* include/Inventor/C/glue/spidermonkey.h, src/glue/spidermonkey.c:
	
	Added three new functions for exception support

2006-02-17 11:50  mortene

	* configure.ac:
	
	Update list of tested / untested, SIM / not SIM platforms.

2006-02-16 14:15  mortene

	* include/Inventor/system/gl.h.in, src/base/Makefile.am,
	src/base/SbGLUTessellator.cpp, src/base/SbGLUTessellator.h,
	src/base/all-base-cpp.cpp, src/caches/SoConvexDataCache.cpp,
	src/glue/GLUWrapper.c, src/shapenodes/soshape_primdata.cpp,
	src/shapenodes/soshape_primdata.h,
	include/Inventor/C/glue/GLUWrapper.h:
	
	Feature: support tessellation through the GLU library instead of
	using Coin's built-in tessellator.

2006-02-15 17:24  kyrah

	* include/discard.h.in:
	
	Bootstrap.

2006-02-15 16:44  kyrah

	* Makefile.am, configure.ac, src/Make-Common.tpl, src/Makefile.am,
	src/3ds/Makefile.am, src/actions/Makefile.am, src/base/Makefile.am,
	src/bundles/Makefile.am, src/caches/Makefile.am,
	src/collision/Makefile.am, src/details/Makefile.am,
	src/draggers/Makefile.am, src/elements/Makefile.am,
	src/elements/GL/Makefile.am, src/engines/Makefile.am,
	src/errors/Makefile.am, src/events/Makefile.am,
	src/fields/Makefile.am, src/fonts/Makefile.am,
	src/glue/Makefile.am, src/hardcopy/Makefile.am, src/io/Makefile.am,
	src/lists/Makefile.am, src/manips/Makefile.am,
	src/misc/Makefile.am, src/mpeg/Makefile.am,
	src/nodekits/Makefile.am, src/nodes/Makefile.am,
	src/projectors/Makefile.am, src/sensors/Makefile.am,
	src/shapenodes/Makefile.am, src/threads/Makefile.am,
	src/upgraders/Makefile.am, src/vrml97/Makefile.am:
	
	Enhancement for --enable-hacking:
	
	Enabled "make install-symlinks" target for non-Mac systems.

2006-02-14 11:01  pederb

	* src/misc/SoVertexArrayIndexer.cpp:
	
	Improved OS X test.

2006-02-13 13:23  kintel

	* src/fields/SoSFNode.cpp:
	
	Bugfix: Apply previous fix only to ascii files

2006-02-13 13:22  kintel

	* include/Inventor/engines/SoSubNodeEngineP.h:
	
	Cleanup static memory also from abstract classes

2006-02-13 13:22  kintel

	* src/vrml97/Sound.cpp:
	
	Initialize variable before using

2006-02-13 13:22  kintel

	* src/vrml97/Interpolator.cpp:
	
	Fixed leak: Use internal macro

2006-02-10 16:08  mortene

	* include/Inventor/C/glue/freetype.h, src/errors/error.c,
	src/fields/SoFieldData.cpp, src/fields/SoSFImage.cpp,
	src/fonts/freetype.c, src/glue/gl.c, src/misc/SoBase.cpp,
	src/nodes/SoCallback.cpp, src/nodes/SoVertexProperty.cpp:
	
	Doc: misc code comment updates, FIXMEs, API doc improvements, etc.

2006-02-10 15:56  mortene

	* src/glue/flwwin32.c:
	
	Clean-up: remove obsoleted src code file.

2006-02-10 15:55  mortene

	* src/fonts/glyph2d.c:
	
	Tiny clean-up: remove unused variable.

2006-02-10 15:51  mortene

	* configure.ac, include/Inventor/C/basic.h.in:
	
	Bugfix: don't set up #defines for single-precision math functions,
	if they are lacking. This is simply not robust, and the performance
	gain should be insignificant. Fixes bug #151.

2006-02-10 15:23  kyrah

	* examples/bindings/glxiv.cpp:
	
	Cleanup after ourselves...

2006-02-10 15:13  kyrah

	* src/fonts/fontlib_wrapper.c:
	
	 Don't use cc_debugerror_* in cleanup function. (Fixes crash when
	 pressing <esc> in glxiv example.)

2006-02-10 12:59  kyrah

	* src/glue/gl_glx.c:
	
	Cleanup: Reset two more static variables, and plug memory leak
	resulting from not closing the display. Valgrind rules.

2006-02-09 23:52  kyrah

	* src/elements/GL/Makefile.am:
	
	Enhancement for --enable-hacking (Mac OS X only for now):
	
	Added target "make install-symlinks" to automatically create
	symlinks back to the build directory.

2006-02-09 23:48  kyrah

	* src/: 3ds/Makefile.am, actions/Makefile.am, base/Makefile.am,
	bundles/Makefile.am, caches/Makefile.am, collision/Makefile.am,
	details/Makefile.am, draggers/Makefile.am, elements/Makefile.am,
	engines/Makefile.am, errors/Makefile.am, events/Makefile.am,
	fields/Makefile.am, fonts/Makefile.am, glue/Makefile.am,
	hardcopy/Makefile.am, io/Makefile.am, lists/Makefile.am,
	manips/Makefile.am, misc/Makefile.am, mpeg/Makefile.am,
	nodekits/Makefile.am, nodes/Makefile.am, projectors/Makefile.am,
	sensors/Makefile.am, shapenodes/Makefile.am, threads/Makefile.am,
	upgraders/Makefile.am, vrml97/Makefile.am:
	
	Enhancement for --enable-hacking (Mac OS X only for now):
	
	Added target "make install-symlinks" to automatically create
	symlinks back to the build directory.

2006-02-09 23:24  kyrah

	* Makefile.am, src/Make-Common.tpl, src/Makefile.am:
	
	Enhancement for --enable-hacking (Mac OS X only for now):
	
	Added target "make install-symlinks" to automatically create
	symlinks back to the build directory.

2006-02-09 17:01  kyrah

	* src/: 3ds/Makefile.am, actions/Makefile.am, base/Makefile.am,
	bundles/Makefile.am, caches/Makefile.am, collision/Makefile.am,
	details/Makefile.am, draggers/Makefile.am, elements/Makefile.am,
	elements/GL/Makefile.am, engines/Makefile.am, errors/Makefile.am,
	events/Makefile.am, fields/Makefile.am, fonts/Makefile.am,
	glue/Makefile.am, hardcopy/Makefile.am, io/Makefile.am,
	lists/Makefile.am, manips/Makefile.am, misc/Makefile.am,
	mpeg/Makefile.am, nodekits/Makefile.am, nodes/Makefile.am,
	projectors/Makefile.am, sensors/Makefile.am,
	shapenodes/Makefile.am, threads/Makefile.am, upgraders/Makefile.am,
	vrml97/Makefile.am:
	
	Fix for --enable-hacking on Mac OS X:
	
	When using --enable-hacking, the user tends to manually replace
	some of the installed libraries by symlinks back to the build
	directory.  But Mac OS X's install program refuses to overwrite
	symlinks => we have to explicitly remove existing symlinks before
	installation.
	
	Problem reported by kintel.

2006-02-09 16:50  kyrah

	* src/Make-Common.tpl:
	
	Fix for --enable-hacking on Mac OS X:
	
	When using --enable-hacking, the user tends to manually replace
	some of the installed libraries by symlinks back to the build
	directory.  But Mac OS X's install program refuses to overwrite
	symlinks => we have to explicitly remove existing symlinks before
	installation.
	
	Problem reported by kintel.

2006-02-09 16:26  mortene

	* include/Inventor/: Make-Common.tpl, Make-Include-Common.tpl,
	Makefile.am, C/Makefile.am, C/base/Makefile.am,
	C/errors/Makefile.am, C/glue/Makefile.am, C/threads/Makefile.am,
	MPEG/Makefile.am, VRMLnodes/Makefile.am, actions/Makefile.am,
	annex/HardCopy/Makefile.am, bundles/Makefile.am,
	caches/Makefile.am, collision/Makefile.am, details/Makefile.am,
	draggers/Makefile.am, elements/Makefile.am, engines/Makefile.am,
	errors/Makefile.am, events/Makefile.am, fields/Makefile.am,
	lists/Makefile.am, lock/Makefile.am, manips/Makefile.am,
	misc/Makefile.am, nodekits/Makefile.am, nodes/Makefile.am,
	projectors/Makefile.am, sensors/Makefile.am, system/Makefile.am,
	threads/Makefile.am:
	
	Clean-up: rename Make-Common.tpl to Make-Include-Common.tpl, to
	avoid confusion, as there is another Make-Common.tpl under
	Coin/src/.

2006-02-09 14:43  kintel

	* src/misc/SoJavaScriptEngine.cpp:
	
	Forgot to define globalclass

2006-02-09 13:21  kintel

	* src/nodes/SoWWWAnchor.cpp:
	
	Fixed resource bug 021

2006-02-09 13:18  kintel

	* src/nodekits/SoNodeKitListPart.cpp:
	
	Fixed resource bug 022

2006-02-09 13:05  kintel

	* src/misc/SoJavaScriptEngine.cpp:
	
	Fixed resource bug 018

2006-02-09 12:50  pederb

	* src/base/rbptree.c:
	
	Fix an old thread safety FIXME.

2006-02-09 12:48  kintel

	* src/upgraders/SoUpgrader.cpp:
	
	Fixed resource bug 020

2006-02-09 12:48  kyrah

	* src/vrml97/Script.cpp:
	
	Cleanup: Reset static data.

2006-02-09 12:41  kintel

	* src/base/rbptree.c:
	
	Fixed resource bug 005

2006-02-09 12:41  kyrah

	* src/vrml97/Shape.cpp, include/Inventor/VRMLnodes/SoVRMLShape.h:
	
	Cleanup: Reset static data.

2006-02-09 12:35  kintel

	* src/nodes/SoLocateHighlight.cpp,
	include/Inventor/nodes/SoLocateHighlight.h:
	
	Fixed resource bug 030

2006-02-09 12:25  kintel

	* include/Inventor/lock/SoLockMgr.h, src/misc/SoLockManager.cpp:
	
	Fixed resource bug 028

2006-02-09 12:16  kyrah

	* src/misc/SoSceneManager.cpp:
	
	Cleanup: reset static data.

2006-02-09 12:15  kintel

	* include/Inventor/nodekits/SoNodeKit.h,
	src/nodekits/SoNodeKit.cpp:
	
	Fixed resource bug 029

2006-02-09 12:00  kyrah

	* src/draggers/SoDragger.cpp:
	
	Plug static memory leak.

2006-02-09 11:58  kintel

	* include/Inventor/SoInteraction.h, src/misc/SoInteraction.cpp:
	
	fixed resource bug 032

2006-02-09 11:39  kintel

	* src/hardcopy/HardCopy.cpp:
	
	Fixed resource bug 016

2006-02-09 11:38  kyrah

	* src/misc/SoGLBigImage.cpp:
	
	Added cleanup function.

2006-02-08 18:06  kintel

	* include/Inventor/actions/SoSubAction.h,
	include/Inventor/engines/SoConvertAll.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/engines/SoSubEngineP.h,
	include/Inventor/engines/SoSubNodeEngine.h,
	include/Inventor/engines/SoSubNodeEngineP.h,
	include/Inventor/fields/SoSubField.h,
	include/Inventor/fields/SoSubFieldP.h,
	include/Inventor/nodekits/SoBaseKit.h,
	include/Inventor/nodekits/SoSubKit.h,
	include/Inventor/nodekits/SoSubKitP.h,
	include/Inventor/nodes/SoSubNode.h, src/engines/SoConvertAll.cpp:
	
	Memory/resource leak/reset fixes

2006-02-08 18:04  pederb

	* src/misc/SoProto.cpp:
	
	Robustify connectISRefs() (fixes bug # 039).

2006-02-08 17:54  kyrah

	* src/errors/: debugerror.c, error.c:
	
	Cleanup: Reset static data.

2006-02-08 16:15  mortene

	* src/tidbits.c:
	
	Bugfix: *really* don't use cc_debugerror_postinfo() from
	coin_atexit_cleanup() (see previous commit).

2006-02-08 16:09  kyrah

	* src/tidbits.c:
	
	Don't use cc_debugerror_postinfo() from coin_atexit_cleanup():
	
	Trying to do so in threadsafe-mode will result in a static mutex
	being created in cc_error_handle(), and in an attempt to add a
	cleanup function for it, cc_error_mutex_cleanup(). But since we are
	already exiting, this triggers an assert in tidbits.c:1239.

2006-02-08 14:36  kyrah

	* src/misc/: SoOffscreenGLXData.cpp, SoOffscreenGLXData.h:
	
	Cleanup: reset static data.

2006-02-08 14:05  kyrah

	* src/misc/: AudioTools.cpp, CoinOffscreenGLCanvas.cpp:
	
	Cleanup: reset static data.

2006-02-08 13:58  mortene

	* configure.ac:
	
	Bugfix: takes care of bug 078.

2006-02-08 12:58  kintel

	* src/fields/SoSFBox3s.cpp:
	
	Use internal init macro

2006-02-08 12:56  mortene

	* src/vrml97/Script.cpp:
	
	Bugfix: VRMLScript's clean-up function needs to be run before
	spidermonkey-glue's ditto.

2006-02-08 11:16  kintel

	* src/errors/error.c:
	
	cosmetics

2006-02-08 11:14  kintel

	* src/draggers/SoTransformerDragger.cpp:
	
	Fixed resource bug #008

2006-02-08 11:06  kintel

	* src/collision/SoIntersectionDetectionAction.cpp:
	
	Fixed resource bug #006

2006-02-07 23:58  larsa

	* include/Inventor/nodes/SoSubNode.h:
	
	what a mess...

2006-02-07 23:56  kyrah

	* src/glue/dl.c:
	
	Rewrote string handling in Mac OS X dlopen workaround code to use
	cc_string.
	
	Got rid of statically allocated variables and two bugs in the
	process (the entry for framework dlopen hack was only created for
	the first library we tried to look up; and an existing ":" at the
	end of the library search path was not handled properly).

2006-02-07 21:50  larsa

	* include/Inventor/nodes/SoSubNode.h, src/vrml97/Interpolator.cpp:
	
	tidbitsp.h is not public (installed), so...

2006-02-07 19:45  kintel

	* src/errors/SoDebugError.cpp:
	
	Fixed resource bug #011

2006-02-07 19:26  kintel

	* include/Inventor/nodes/: SoSubNode.h, SoSubNodeP.h:
	
	Memory/resource leak/reset fixes - sync with Coin-dev

2006-02-07 18:08  kintel

	* src/: actions/SoSearchAction.cpp, draggers/SoDragger.cpp,
	elements/SoCacheElement.cpp, elements/SoFontNameElement.cpp,
	elements/SoProfileCoordinateElement.cpp, misc/SoBase.cpp,
	nodekits/SoBaseKit.cpp, nodes/SoSeparator.cpp, vrml97/Anchor.cpp,
	vrml97/Group.cpp:
	
	Memory/resource leak/reset fixes

2006-02-07 16:55  mortene

	* include/Inventor/misc/SoJavaScriptEngine.h,
	src/misc/SoJavaScriptEngine.cpp:
	
	Minor clean-up: SoJavaScriptEngine::init() should report whether or
	not it could successfully init.

2006-02-07 16:45  mortene

	* src/vrml97/JS_VRMLClasses.cpp:
	
	Bugfix: avoid using spidermonkey() singleton in static allocations,
	as that may use internal Coin code which has not been initialized
	yet. Problem reported by kintel.

2006-02-07 15:30  mortene

	* src/vrml97/Script.cpp:
	
	Bugfix: don't retry to init when initialization of javascript
	parsing fails.

2006-02-07 15:16  kintel

	* src/: tidbits.c, actions/SoGLRenderAction.cpp, fonts/freetype.c,
	fonts/glyph2d.c, fonts/glyph3d.c, glue/GLUWrapper.c, misc/SoDB.cpp,
	misc/SoVBO.cpp, nodes/SoWWWAnchor.cpp, nodes/SoWWWInline.cpp,
	shapenodes/SoText2.cpp, vrml97/ImageTexture.cpp, vrml97/Inline.cpp:
	
	Memory/resource leak/reset fixes

2006-02-07 15:07  mortene

	* src/vrml97/JS_VRMLClasses.cpp:
	
	Bugfix: SbList instances must be allocated run-time, not load-time,
	as some system loaders doesn't run the constructors of static
	global objects. Problem found by kintel.

2006-02-07 14:10  kyrah

	* include/Inventor/C/glue/gl_agl.h,
	include/Inventor/C/glue/gl_glx.h, include/Inventor/C/glue/gl_wgl.h,
	src/glue/gl.c, src/glue/gl_agl.c, src/glue/gl_glx.c,
	src/glue/gl_wgl.c:
	
	Added cleanup/reset for aglglue/glxglue/wglclue.

2006-02-07 12:05  kyrah

	* src/Makefile.am:
	
	Disable prebinding using -undefined dynamic_lookup

2006-02-06 23:42  kintel

	* src/: elements/SoLazyElement.cpp,
	elements/GL/SoGLCacheContextElement.cpp,
	events/SoKeyboardEvent.cpp, fields/SoField.cpp,
	fonts/fontlib_wrapper.c, glue/bzip2.c, glue/freetype.c, glue/gl.c,
	glue/openal_wrapper.c, glue/simage_wrapper.c, glue/spidermonkey.c,
	glue/zlib.c, io/SoWriterefCounter.cpp, misc/SoDB.cpp,
	misc/SoGlyph.cpp:
	
	Memory/resource leak/reset fixes

2006-02-06 23:26  kintel

	* src/glue/simage_wrapper.c:
	
	sync resource leak fixes with Coin-dev

2006-02-06 23:22  kintel

	* src/misc/SoGLImage.cpp:
	
	Minor variable reset on cleanup

2006-02-06 22:24  mortene

	* src/misc/SoBase.cpp:
	
	Bugfix: trailing comment on the header would lead to VRML nodes
	being written out with 'VRML' prefix in their type names. Reported
	by kintel.

2006-02-06 21:10  larsa

	* src/misc/SoGL.cpp:
	
	compile fix

2006-02-06 18:30  mortene

	* src/elements/GL/: SoGLClipPlaneElement.cpp,
	SoGLLightIdElement.cpp:
	
	Minor code comment fix.

2006-02-06 18:27  mortene

	* src/elements/GL/: SoGLClipPlaneElement.cpp,
	SoGLLightIdElement.cpp, SoGLTextureImageElement.cpp,
	SoGLViewportRegionElement.cpp:
	
	Robustness: warn app programmer that the the context-blind GL query
	functions have an unsafe interface, and that they should be
	avoided.

2006-02-06 18:20  kyrah

	* configure.ac:
	
	Fixed bug #187: Disallow static libraries in Mac OS X framework
	build.

2006-02-06 17:57  mortene

	* THANKS, src/vrml97/Billboard.cpp:
	
	Bugfix: takes care of bug #185; better handling of coincident
	vectors for the axisOfRotation and the billboard-to-viewer line. By
	Aleksandar B. Samardzic, minor fixes by mortene.

2006-02-06 17:55  mortene

	* src/misc/: PointerMap.cpp, PointerMap.h:
	
	Clean-up / bug-fix: corrects const'ing.

2006-02-06 17:40  kyrah

	* src/Makefile.am:
	
	Cosmetics -- don't set MACOSX_DEPLOYMENT_TARGET unless we actually
	need it.

2006-02-06 17:40  kintel

	* include/Inventor/C/threads/threadsutilp.h:
	
	Let CC_MUTEX_DESTRUCT() set the mutex pointer to NULL

2006-02-06 17:37  kintel

	* src/: fields/SoField.cpp, fonts/glyph2d.c, fonts/glyph3d.c,
	io/SoWriterefCounter.cpp, misc/SoContextHandler.cpp,
	misc/SoProto.cpp, threads/sync.c:
	
	Fixed resource_leak bug #004

2006-02-06 17:00  kyrah

	* src/Makefile.am:
	
	One more fix for --enable-hacking to work without manually setting
	MACOSX_DEPLOYMENT_TARGET. This should be it now.

2006-02-06 15:27  kintel

	* src/nodes/SoExtSelection.cpp:
	
	Fixed bug #138

2006-02-06 15:06  kyrah

	* configure.ac:
	
	Improvement for --enable-hacking on Mac OS X: Don't require
	MACOSX_DEPLOYMENT_TARGET variable to be set manually.

2006-02-06 12:58  kyrah

	* configure.ac:
	
	Thou shalt not shellscript before having coffee...

2006-02-06 12:11  kyrah

	* configure.ac, src/Makefile.am:
	
	Don't require MACOSX_DEPLOYMENT_TARGET to be set when not using
	--enable-hacking. Problem reported by kintel.

2006-02-06 11:28  kintel

	* include/Inventor/nodes/SoExtSelection.h,
	src/nodes/SoExtSelection.cpp:
	
	Update to bug #132: Stubbed more missing methods

2006-02-03 19:44  kyrah

	* configure.ac:
	
	Fix recently incorrect quoting.

2006-02-03 19:02  kyrah

	* configure.ac:
	
	--enable-hacking for Mac OS X framework build.

2006-02-03 18:21  pederb

	* src/fields/: MFNodeEnginePath.tpl, SFNodeEnginePath.tpl,
	SoFieldContainer.cpp, SoMFEngine.cpp, SoMFNode.cpp, SoSFEngine.cpp,
	SoSFNode.cpp:
	
	Fix copyContents() bug (bug # 070).

2006-02-03 18:01  kyrah

	* configure.ac, src/Makefile.am:
	
	Make --enable-hacking work on Mac OS X.

2006-02-03 16:24  kintel

	* src/: actions/SoToVRML2Action.cpp, shapenodes/SoIndexedShape.cpp,
	shapenodes/SoIndexedTriangleStripSet.cpp,
	shapenodes/SoNonIndexedShape.cpp, shapenodes/SoPointSet.cpp:
	
	Fixed bug #156

2006-02-03 16:19  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	More vertexproperty fixes.

2006-02-03 15:43  kintel

	* src/nodes/SoExtSelection.cpp:
	
	Fixed bug #158

2006-02-03 14:31  pederb

	* src/vrml97/JS_VRMLClasses.cpp:
	
	Compile fix not needed anyway.

2006-02-03 14:26  pederb

	* src/nodes/SoBlinker.cpp:
	
	Fix blinker setup bug (bug # 113).

2006-02-03 14:15  pederb

	* src/vrml97/JS_VRMLClasses.cpp:
	
	compile fix.

2006-02-03 13:41  kintel

	* src/nodes/SoWWWInline.cpp:
	
	Fixed bug #189. Also corrected the default value of
	setReadAsSoFile() to FALSE

2006-02-03 13:32  kintel

	* src/io/SoInput.cpp:
	
	bugfix: Don't add empty directories to the search list

2006-02-03 13:29  kyrah

	* src/misc/SoGL.cpp:
	
	Clamp NURBS sampling error to 0.5 pixels.

2006-02-03 11:35  larsa

	* build/README:
	
	note

2006-02-03 09:29  mortene

	* src/vrml97/JS_VRMLClasses.cpp:
	
	Compile fix.

2006-02-03 00:24  larsa

	* build/msvc7/: coin2.sln, coin2.vcproj:
	
	update

2006-02-02 23:43  kintel

	* src/nodes/SoExtSelection.cpp:
	
	Fixed bug #206

2006-02-02 23:29  larsa

	* build/msvc6/coin2.dsp:
	
	update

2006-02-02 20:57  mortene

	* src/misc/SoJavaScriptEngine.cpp:
	
	Compile fix.

2006-02-02 16:56  pederb

	* src/misc/SoDB.cpp:
	
	Fix debug/error messages for SoDB::createRoute().

2006-02-02 16:27  kintel

	* src/io/SoInput.cpp:
	
	Fixed buglet that sneakedn while fixing bug #199

2006-02-02 16:14  pederb

	* src/misc/SoBase.cpp:
	
	Use SoDB::createRoute() to connect routes.

2006-02-02 16:14  pederb

	* src/misc/SoDB.cpp:
	
	Proper implementation of SoDB::createRoute() and
	SoDB::removeRoute().

2006-02-02 15:33  mortene

	* src/: misc/SoJavaScriptEngine.cpp, vrml97/JS_VRMLClasses.cpp,
	vrml97/JS_VRMLClasses.h, vrml97/Makefile.am:
	
	Build clean-up and bugfix: make JS_VRMLClasses.cpp be part of the
	build system proper (will also fix a bug in ''make dist'' --
	JS_VRMLClasses.cpp was not made part of dist).

2006-02-02 15:22  mortene

	* src/Makefile.am:
	
	Revert build fix, as the technique has unintended consequences,
	according to larsa.

2006-02-02 14:57  mortene

	* src/Makefile.am:
	
	Build: make sure .dll is built.

2006-02-02 14:57  kyrah

	* src/shapenodes/SoNurbsCurve.cpp:
	
	Added screenshot to class documentation.

2006-02-02 14:32  kintel

	* src/: fields/SoMFNode.cpp, fields/SoSFEngine.cpp,
	fields/SoSFNode.cpp, fields/SoSFPath.cpp, misc/SoDB.cpp,
	misc/SoPath.cpp:
	
	Fixed bug #055, #059 and related issues

2006-02-02 14:27  kyrah

	* src/misc/SoGL.cpp:
	
	Fixed Bug #086: use complexity-dependent GLU_PARAMETRIC_ERROR when
	GLU version < 1.3.0 (and thus GLU_OBJECT_PARAMETRIC_ERROR not
	available).
	
	Added COIN_DEBUG_NURBS_COMPLEXITY debugging environment variable.

2006-02-02 14:18  kintel

	* src/misc/SoBase.cpp:
	
	Clarify doc: NULL not allowed in MField

2006-02-02 13:56  pederb

	* src/vrml97/TODO:
	
	Remove obsoleted file.

2006-02-02 13:27  pederb

	* src/fields/SoField.cpp:
	
	Support for VRML97 fanIn.

2006-02-02 13:25  mortene

	* src/misc/SoBase.cpp:
	
	Doc: leave a FIXME suggestion about the horrendous SoBase::read()
	interface.

2006-02-02 11:31  pederb

	* src/misc/SoBase.cpp:
	
	Allow fanIn even for normal fields (not just eventIn fields).

2006-02-01 19:38  kyrah

	* src/misc/SoGL.cpp:
	
	Default to GLU_PARAMETRIC_TOLERANCE if GLU < 1.3.0

2006-02-01 19:24  kyrah

	* src/misc/SoGL.cpp:
	
	Warn that SoComplexity will have no effect if GLU version < 1.3.0

2006-02-01 18:40  kyrah

	* src/nodes/SoNurbsProfile.cpp:
	
	Added caveat about trimming curve complexity. This should hopefully
	prevent usage errors such as bug #087 and #089 in the future (or at
	least give us the chance to say "told ya so!").

2006-02-01 18:11  mortene

	* src/sensors/: SoOneShotSensor.cpp, SoDelayQueueSensor.cpp:
	
	Doc: additional class doc.

2006-02-01 18:04  mortene

	* src/manips/SoTransformManip.cpp:
	
	Robustness: warn on attempts to use SoTransformManip as a
	non-abstract class.

2006-02-01 18:01  kintel

	* src/: fields/SoFieldContainer.cpp, nodes/SoGroup.cpp:
	
	Fixed bug introduced when fixing bug #077

2006-02-01 17:29  mortene

	* src/engines/: SoComposeRotation.cpp, SoElapsedTime.cpp:
	
	Doc: examples for the main class API doc.

2006-02-01 16:32  kintel

	* src/misc/SoProto.cpp:
	
	writeref debugging

2006-02-01 16:30  pederb

	* src/vrml97/Script.cpp:
	
	Yet another ROUTE export bugfix.

2006-02-01 14:26  kintel

	* src/fields/: SoMFEnum.cpp, SoSFEnum.cpp:
	
	Fixed bug #029 and a related issue reading unknown enum values for
	SoUnknownNode instances. Ditto for writing.

2006-02-01 14:19  kintel

	* src/io/SoWriterefCounter.cpp:
	
	typo

2006-02-01 13:46  pederb

	* src/io/SoOutput.cpp:
	
	ROUTE writeref debugging.

2006-02-01 13:08  pederb

	* src/shapenodes/soshape_primdata.cpp:
	
	Quick fix for previous fix :)

2006-02-01 13:06  pederb

	* src/shapenodes/: soshape_primdata.cpp, soshape_primdata.h:
	
	Fixes for PER_FACE material and normal bindings. This will fix some
	PER_FACE generatePrimitives() bugs.

2006-02-01 12:58  kyrah

	* src/nodes/SoNurbsProfile.cpp:
	
	Doc improvement: Added usage example, and pointer to NURBS
	documentation.

2006-02-01 12:57  kyrah

	* src/shapenodes/SoNurbsSurface.cpp:
	
	Doc improvement: Added usage example.

2006-02-01 12:32  pederb

	* src/vrml97/Script.cpp:
	
	Fix a ROUTE write bug.

2006-02-01 11:56  pederb

	* src/shapenodes/SoShape.cpp:
	
	Fix for the fallback rendering code for nodes with an
	SoVertexProperty instance (SoVertexShape nodes).

2006-01-31 18:14  kintel

	* src/actions/SoToVRML2Action.cpp:
	
	MSVC6 compile fix

2006-01-31 16:41  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	Misc. fixes to handle shapes with vertexProperty nodes.

2006-01-31 16:29  mortene

	* src/glue/GLUWrapper.c:
	
	Doc: code comment about nurbs tessellation on GLU-libs older than
	1.3.

2006-01-31 15:52  thammer

	* src/misc/SoJavaScriptEngine.cpp:
	
	Fix incorrect use of assert, which would cause the release version
	to fail.

2006-01-31 15:27  kintel

	* src/io/SoInput.cpp:
	
	Fixed bug #199

2006-01-31 13:50  kyrah

	* src/shapenodes/: SoNurbsCurve.cpp, SoNurbsSurface.cpp:
	
	Doc: Elaborate on knot value issue.

2006-01-31 12:12  pederb

	* src/vrml97/JS_VRMLClasses.cpp:
	
	Fix incorrect use of assert, which would cause the release version
	to fail.

2006-01-31 01:37  kintel

	* src/: fields/SoFieldContainer.cpp, nodes/SoGroup.cpp:
	
	Fixed bug #131

2006-01-31 01:26  kyrah

	* src/shapenodes/: SoNurbsCurve.cpp, SoNurbsSurface.cpp:
	
	Mention that knot values should be [0, 1, 2,..., a] rather than [0,
	1/a, 2/a,..., 1], or else GLU will produce wrong results in
	tesselation mode.

2006-01-30 22:07  kintel

	* src/io/SoWriterefCounter.cpp:
	
	Fixed bug #043: Now prefixes starting characters illegal in VRML2
	with '_'

2006-01-30 17:28  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	Handle SoLevelOfDetail => SoLOD conversion.

2006-01-30 17:27  kintel

	* src/actions/SoWriteAction.cpp:
	
	Better debug warning

2006-01-30 17:24  kintel

	* src/: engines/SoElapsedTime.cpp, engines/SoOneShot.cpp,
	engines/SoTimeCounter.cpp, vrml97/TimeSensor.cpp:
	
	Fixed bug #077

2006-01-30 17:16  kintel

	* src/actions/SoWriteAction.cpp:
	
	Added debug code crying out when the scenegraph changes during a
	writeaction

2006-01-30 16:58  kyrah

	* src/shapenodes/SoNurbsCurve.cpp:
	
	Update on FIXME comment.

2006-01-30 14:40  kintel

	* src/fields/SoGlobalField.cpp:
	
	bugfix: Don't add write reference for global realCTime field

2006-01-30 14:38  kintel

	* src/io/SoWriterefCounter.cpp:
	
	Minor debug message clarification

2006-01-27 15:56  kintel

	* src/vrml97/Switch.cpp:
	
	minor correction of warning

2006-01-26 10:51  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	Bugfix. SoProfile should not be converted to an ifs.

2006-01-26 10:31  pederb

	* src/actions/: SoToVRML2Action.cpp, SoToVRMLAction.cpp:
	
	Copy as many node names as possible when converting a scene graph.
	Problem reported by Frank Hibbeln.

2006-01-19 14:08  pederb

	* src/vrml97/Extrusion.cpp:
	
	generatePrimitives() bugfix. Reported by Terje.

2006-01-16 12:01  pederb

	* src/vrml97/ImageTexture.cpp:
	
	Improve memory handling when changing the image in a texture node.

2006-01-11 15:27  mortene

	* src/misc/SoSceneManager.cpp:
	
	Bugfix: status of the active-flag may change between
	scheduleRedraw() and when a redraw is actually attempted, so
	re-check the flag.

2006-01-10 13:24  mortene

	* src/caches/SoCache.cpp:
	
	Doc: elaborate explanation of how caching works, taken from a
	support mail reply, written by pederb.

2006-01-09 14:41  mortene

	* src/fonts/: Makefile.am, common.h, defaultfonts.h,
	fontlib_wrapper.h, fontspec.h, freetype.h, glyph.c, glyph.h,
	glyph2d.c, glyph2d.h, glyph3d.c, glyph3d.h, win32.h:
	
	Clean-up: collect common glyph-handling code between cc_glyph2d and
	cc_glyph3d in its own internal interface (cc_glyph).

2006-01-09 12:40  mortene

	* include/Inventor/C/threads/threadsutilp.h:
	
	Bugfix: the convenience macros CC_MUTEX_CONSTRUCT etc should be
	available and active when HAVE_THREADS is defined, and not only
	when COIN_THREADSAFE is defined.

2006-01-05 13:28  pederb

	* src/actions/SoReorganizeAction.cpp:
	
	Copy solid and ccw fields from the original SoVRMLIndexedFaceSet
	node. Bug reported by handegar.

2006-01-05 12:23  pederb

	* src/: shapenodes/SoIndexedFaceSet.cpp,
	shapenodes/SoIndexedLineSet.cpp, shapenodes/SoPointSet.cpp,
	vrml97/IndexedFaceSet.cpp, vrml97/IndexedLineSet.cpp,
	vrml97/PointSet.cpp:
	
	Ask SoVBO if we should render as vertex arrays.

2006-01-05 12:23  pederb

	* src/misc/: SoVBO.cpp, SoVBO.h:
	
	Make it possible to globally toggle VA and VBO rendering on/off

2006-01-05 11:27  pederb

	* src/misc/SoVBO.cpp:
	
	Tune the VBO performance test.

2006-01-04 15:59  handegar

	* include/Inventor/: VRMLnodes/SoVRMLIndexedLineSet.h,
	nodes/SoIndexedLineSet.h:
	
	Misleading comment-fix.

2006-01-04 15:56  handegar

	* include/Inventor/: VRMLnodes/SoVRMLIndexedLineSet.h,
	nodes/SoIndexedLineSet.h:
	
	Compile fix when configuring with '--enable-next-minor'

2006-01-03 13:09  pederb

	* src/projectors/SbSphereSheetProjector.cpp:
	
	Normalize fix.

2006-01-03 13:02  pederb

	* src/projectors/SbSpherePlaneProjector.cpp:
	
	Normalize fixes.

2006-01-03 12:42  pederb

	* src/projectors/SbCylinderSheetProjector.cpp:
	
	Normalize fix.

2006-01-03 12:38  pederb

	* src/projectors/: SbCylinderSectionProjector.cpp,
	SbCylinderSectionProjector.cpp:
	
	Normalize fix.

2006-01-03 12:35  pederb

	* src/caches/SoNormalCache.cpp:
	
	Normalize fixes.

2006-01-03 12:29  pederb

	* src/nodes/SoBumpMap.cpp:
	
	Minor normalize fix.

2006-01-02 12:47  pederb

	* src/caches/SoPrimitiveVertexCache.cpp:
	
	Fix bug for SORTED_OBJECT_SORTED_TRIANGLE transparency modes.
	Reported by Kristofer Tingdahl.

2005-12-21 15:32  pederb

	* src/base/: SbVec2d.cpp, SbVec2f.cpp, SbVec3d.cpp, SbVec3f.cpp,
	SbVec4d.cpp, SbVec4f.cpp:
	
	Disable warnings from normalize() by default.

2005-12-21 14:37  pederb

	* src/nodes/SoPerspectiveCamera.cpp:
	
	normalize fix

2005-12-21 14:29  pederb

	* src/nodes/SoOrthographicCamera.cpp:
	
	normalize fix

2005-12-21 14:23  pederb

	* src/nodes/SoDirectionalLight.cpp:
	
	normalize fix.

2005-12-21 14:01  pederb

	* src/nodes/SoCamera.cpp:
	
	normalize fixes.

2005-12-21 13:53  pederb

	* src/misc/SoPick.cpp:
	
	normalize fixes.

2005-12-21 13:43  pederb

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:
	
	Some debugging helpers.

2005-12-21 12:44  pederb

	* src/manips/: SoDirectionalLightManip.cpp, SoSpotLightManip.cpp:
	
	normalize fix

2005-12-20 17:01  pederb

	* src/nodes/SoTransform.cpp:
	
	normalize fix

2005-12-20 16:39  pederb

	* src/hardcopy/VectorizeActionP.cpp:
	
	normalize fixes.

2005-12-20 16:19  pederb

	* src/engines/SoTransformVec3f.cpp:
	
	normalize fix

2005-12-20 16:18  pederb

	* src/draggers/SoTransformerDragger.cpp:
	
	normalize fixes

2005-12-20 16:06  pederb

	* src/draggers/SoTrackballDragger.cpp:
	
	normalize fixes.

2005-12-20 15:41  pederb

	* src/draggers/SoRotateDiscDragger.cpp:
	
	normalize comment.

2005-12-20 15:35  pederb

	* src/actions/SoRayPickAction.cpp:
	
	normalize fix.

2005-12-20 15:28  pederb

	* src/base/SbXfBox3f.cpp:
	
	normalize fix.

2005-12-20 15:26  pederb

	* src/base/SbTesselator.cpp:
	
	normalize fix

2005-12-20 15:14  pederb

	* src/base/SbSphere.cpp:
	
	comment about normalize.

2005-12-20 15:00  pederb

	* src/base/SbDPViewVolume.cpp:
	
	normalize fixes.

2005-12-20 14:20  pederb

	* src/base/: SbDPRotation.cpp, SbRotation.cpp:
	
	normalize() fixes.

2005-12-20 13:43  pederb

	* src/base/: SbDPPlane.cpp, SbPlane.cpp:
	
	comment and warn on normalize.

2005-12-20 13:41  pederb

	* src/base/: SbDPLine.cpp, SbLine.cpp:
	
	comment normalize usage.

2005-12-20 13:05  pederb

	* src/base/SbCylinder.cpp:
	
	Fix use of normalize().

2005-12-20 12:58  pederb

	* src/base/SbClip.cpp:
	
	Comment use of normalize.

2005-12-20 12:40  pederb

	* src/3ds/3dsLoader.cpp:
	
	comment normalize() call.

2005-12-20 12:35  pederb

	* src/base/SbBox3f.cpp:
	
	Check normalize return value in getSpan().

2005-12-20 11:55  pederb

	* src/fields/SoField.cpp:
	
	PROTO write action fix.

2005-12-19 17:12  tamer

	* src/glue/GLUWrapper.c:
	
	fix compiler warning: cast away constness.

2005-12-19 16:24  wiesener

	* include/Inventor/nodes/SoIndexedFaceSet.h:
	
	Remove warning when using SoIndexedFaceset and SoVRMLIndexedFaceset
	in the same application (Already fixed in Coin)

2005-12-19 13:20  mortene

	* examples/bindings/glxiv.cpp:
	
	Minor feature addition: include FPS-counter. Also fixes a clean-up
	bug at the end: destroy window before context.

2005-12-16 17:30  kyrah

	* src/glue/GLUWrapper.c:
	
	Fix for GLU symbol resolution on Mac OS X.

2005-12-16 16:31  handegar

	* src/vrml97/JS_VRMLClasses.cpp:
	
	Recycle SoNodeSensors for wrapped SoNodes to increase performance.

2005-12-16 16:21  pederb

	* src/misc/SoProto.cpp:
	
	Disable bidirectional connections in PROTO instances.

2005-12-16 15:44  pederb

	* src/misc/SoDB.cpp:
	
	Initialize SoVBO class.

2005-12-16 15:42  pederb

	* src/misc/: SoVBO.cpp, SoVBO.h:
	
	Sync with Coin-dev.

2005-12-16 15:39  pederb

	* src/misc/SoContextHandler.cpp:
	
	Notify glglue about destructed context.

2005-12-16 15:35  pederb

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	src/glue/gl.c:
	
	Some fixes for GL context handling.

2005-12-16 09:45  pederb

	* src/base/SbImage.cpp:
	
	Bugfix in operator==. Reported by Kristfer Tingdahl.

2005-12-15 10:30  pederb

	* src/shapenodes/SoLineSet.cpp:
	
	Bugfix for line/part indices in the SoLineDetail instance. Bug
	reported by Frank Hibbeln

2005-12-13 14:49  pederb

	* src/shapenodes/SoText3.cpp:
	
	Bugfix for SoGetPrimitiveCountAction.

2005-12-13 12:10  pederb

	* src/misc/SoGLImage.cpp:
	
	Don't use GL_SGIS_generate_mipmap by default.

2005-12-12 16:04  pederb

	* src/lists/SoActionMethodList.cpp:
	
	Change the way unset action methods are initialized to be
	compatible with SGI Inventor.

2005-12-12 15:52  pederb

	* src/shapenodes/SoShape.cpp:
	
	Don't warn on missing
	createTriangleDetail()/createLineSegmentDetail() methods. Thanks to
	Martin Kavalar for reporting this problem.

2005-12-08 16:01  pederb

	* src/elements/SoLazyElement.cpp:
	
	Fix for transparency override.

2005-12-08 14:44  mortene

	* THANKS:
	
	New bug found, by Kusnadi Liem.

2005-12-07 15:13  mortene

	* NEWS:
	
	update, info on recent bugfix

2005-12-07 14:38  mortene

	* src/vrml97/Text.cpp:
	
	Clean-up: fixes some unnecessary round-about handling of string
	comparisons.

2005-12-07 14:38  mortene

	* src/vrml97/Text.cpp:
	
	Bugfix: vertical justification. Fixed for both single and multiple
	strings.

2005-12-07 12:36  mortene

	* src/vrml97/: Anchor.cpp, Appearance.cpp, AudioClip.cpp,
	Background.cpp, Billboard.cpp, Box.cpp, Collision.cpp, Color.cpp,
	ColorInterpolator.cpp, Cone.cpp, CoordinateInterpolator.cpp,
	Cylinder.cpp, CylinderSensor.cpp, DirectionalLight.cpp,
	DragSensor.cpp, ElevationGrid.cpp, Extrusion.cpp, Fog.cpp,
	FontStyle.cpp, Group.cpp, ImageTexture.cpp, IndexedFaceSet.cpp,
	IndexedLineSet.cpp, Inline.cpp, Interpolator.cpp, LOD.cpp,
	Material.cpp, MovieTexture.cpp, NavigationInfo.cpp,
	NormalInterpolator.cpp, OrientationInterpolator.cpp,
	PixelTexture.cpp, PlaneSensor.cpp, PointLight.cpp, PointSet.cpp,
	PositionInterpolator.cpp, ScalarInterpolator.cpp, Script.cpp,
	Shape.cpp, Sound.cpp, Sphere.cpp, SphereSensor.cpp, SpotLight.cpp,
	Switch.cpp, Text.cpp, TimeSensor.cpp, TouchSensor.cpp,
	Transform.cpp, Viewpoint.cpp:
	
	Doc: web3d URLs moved around again, sync.

2005-12-02 16:53  mortene

	* src/vrml97/ImageTexture.cpp:
	
	Feature: load images in a parallel thread for SoVRMLImageTexture
	even when COIN_THREADSAFE was not specified for the Coin build
	(HAVE_THREADS is sufficient).

2005-12-02 16:52  mortene

	* include/Inventor/C/threads/common.h,
	include/Inventor/C/threads/sched.h, src/threads/mutex.c,
	src/threads/sched.c:
	
	Clean-up: make it possible to use sched.h header file from threads
	module, even when HAVE_THREADS was undefined when building Coin.

2005-12-02 16:47  kintel

	* include/Inventor/C/glue/spidermonkey.h, src/glue/spidermonkey.c:
	
	Added JS_Enumerate() and JS_IdToValue()

2005-12-02 16:46  mortene

	* src/vrml97/: ElevationGrid.cpp, Extrusion.cpp:
	
	Compile fix: fix build error when COIN_THREADSAFE is not defined.

2005-12-02 15:03  mortene

	* src/nodes/: SoFont.cpp, SoMaterial.cpp:
	
	Doc: clarify that field-values are *not* inherited / accumulated
	over several nodes.

2005-12-02 12:30  pederb

	* src/vrml97/: Extrusion.cpp, ElevationGrid.cpp:
	
	Fix compiler warning.

2005-12-01 13:58  mortene

	* src/vrml97/: Appearance.cpp, ElevationGrid.cpp, Extrusion.cpp,
	Geometry.cpp, Group.cpp, ImageTexture.cpp, IndexedFaceSet.cpp,
	Parent.cpp, PixelTexture.cpp, Shape.cpp, Switch.cpp, Text.cpp,
	VertexShape.cpp:
	
	Codestyle, clean-ups.

2005-12-01 13:50  mortene

	* src/nodes/SoSoundElementHelper.h:
	
	Compile fix: header-include for dependency.

2005-11-30 15:50  handegar

	* src/vrml97/JS_VRMLClasses.cpp:
	
	Remove object from garbagecollected list when destructor is called.

2005-11-30 14:38  mortene

	* src/nodes/SoPolygonOffset.cpp:
	
	Doc: correct bug in API doc example.

2005-11-30 11:59  handegar

	* src/vrml97/JS_VRMLClasses.cpp:
	
	Added an mechanism for preventing JavaScript from crashing Coin
	accessing using nodes with refcount=0.

2005-11-29 13:25  mortene

	* src/actions/SoAction.cpp:
	
	Doc: slight improvement to API doc.

2005-11-28 18:27  kintel

	* src/vrml97/JS_VRMLClasses.cpp:
	
	Corrected two cases where JS_FALSE shouldn't be returned

2005-11-28 17:37  pederb

	* src/glue/cg.c:
	
	Win32 Cg dynamic loader fix.

2005-11-28 16:55  kintel

	* include/Inventor/C/glue/spidermonkey.h, src/glue/spidermonkey.c:
	
	Added option functions and missing JSCLASS flags

2005-11-28 16:36  handegar

	* include/Inventor/misc/SoJavaScriptEngine.h,
	src/misc/SoJavaScriptEngine.cpp:
	
	Added doc for the new *AutoNodeUnref*() methods.  Made the
	getContext() and the getGlobal() method const.

2005-11-28 15:27  handegar

	* include/Inventor/misc/SoJavaScriptEngine.h,
	src/misc/SoJavaScriptEngine.cpp:
	
	Made the getAutoNodeUnrefState() method const.

2005-11-28 12:17  kintel

	* src/vrml97/JS_VRMLClasses.cpp:
	
	Bugfix: A jsval was returned instead of a JSBool several places

2005-11-28 11:59  handegar

	* src/vrml97/JS_VRMLClasses.cpp:
	
	Check for autounref-state before ref'ing in the SFNodeConstructor.

2005-11-28 11:49  handegar

	* src/misc/SoJavaScriptEngine.cpp:
	
	Set autoref'ing to TRUE.

2005-11-28 11:12  larsa

	* src/shapenodes/SoShape.cpp:
	
	doc fix

2005-11-25 17:17  handegar

	* include/Inventor/misc/SoJavaScriptEngine.h,
	src/misc/SoJavaScriptEngine.cpp, src/vrml97/JS_VRMLClasses.cpp:
	
	API for switching of auto-unref'ing of javascript-created nodes.

2005-11-24 14:41  thammer

	* src/vrml97/JS_VRMLClasses.cpp:
	
	Return TRUE instead of FALSE if field not found, or script
	execution will halt

2005-11-24 12:02  pederb

	* src/nodes/: SoBumpMap.cpp, SoBumpMapCoordinate.cpp,
	SoBumpMapTransform.cpp:
	
	Enable bumpmapping for SoCallbackAction and SoRayPickAction.

2005-11-24 11:05  mortene

	* src/shapenodes/SoCylinder.cpp:
	
	Doc: explain how to make a disc with two-sided lighting.

2005-11-24 10:56  mortene

	* src/shapenodes/SoNurbsCurve.cpp:
	
	Doc: adds usage example and screenshot.

2005-11-24 10:50  mortene

	* src/shapenodes/SoCylinder.cpp:
	
	Doc: mention the trick to render as a disc.

2005-11-21 09:31  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	Bugfix for PointSet handling. If numPoints < 0, use all coordinates
	on state. All fixed problem with shapes inheriting other shapes
	being handled twice (for instance MarkerSet).

2005-11-21 00:47  larsa

	* build/msvc7/coin2.sln:
	
	sync-update

2005-11-21 00:19  larsa

	* src/shapenodes/SoAsciiText.cpp:
	
	compile fix

2005-11-17 15:04  mortene

	* docs/coin.doxygen.in, src/elements/SoOverrideElement.cpp:
	
	Doc: elaborate on how to get separate transparency material
	override.

2005-11-17 10:42  pederb

	* src/misc/SoBase.cpp:
	
	Don't use characters with an ASCII value > 127. Problem reported by
	Clemens von Mann.

2005-11-16 12:23  mortene

	* src/nodes/SoTextureScalePolicy.cpp:
	
	Doc: extend API doc on fractured texture rendering to also mention
	the automatic downsampling.

2005-11-16 11:58  mortene

	* src/: fields/SoFieldContainer.cpp, nodes/SoNode.cpp:
	
	Doc: corrects API doc on the writeInstance() method.

2005-11-16 10:56  pederb

	* src/misc/SoProto.cpp:
	
	Use debugWriterefs() from SoWriterefCounter.

2005-11-16 10:51  pederb

	* src/misc/SoBase.cpp:
	
	Use debugWriterefs() from SoWriterefCounter.

2005-11-16 10:50  pederb

	* src/io/: SoWriterefCounter.cpp, SoWriterefCounter.h:
	
	Added debugWriterefs() method.

2005-11-16 10:49  pederb

	* src/fields/SoField.cpp:
	
	Bugfixes: Don't write eventOut fields. SoProtoInstance should be
	handled as a VRML97 node to avoid writing eventOut and eventIn
	fields.

2005-11-15 14:50  pederb

	* src/: nodes/SoNode.cpp, misc/SoProto.cpp,
	misc/SoProtoInstance.cpp:
	
	Misc. fixes for writing PROTOs.

2005-11-14 12:06  pederb

	* src/misc/SoBase.cpp:
	
	Add writeref debugging in output file.

2005-11-11 15:39  pederb

	* include/Inventor/actions/SoGLRenderAction.h,
	src/actions/SoGLRenderAction.cpp:
	
	Added setSortedObjectOrderStrategy().

2005-11-09 14:52  kyrah

	* include/Inventor/C/glue/gl.h, src/glue/gl.c:
	
	Interface for setting external offscreen renderer functionality:
	
	Makes it possible to provide an external implementation for doing
	offscreen rendering (such as accelerated rendering into a hidden
	window). This is useful to avoid having to do slow software
	rendering when pBuffers cannot be used (not available on the
	system, buggy implementation, mismatch of onscreen context and
	offscreen context).

2005-11-09 13:09  pederb

	* src/nodes/SoNode.cpp:
	
	Bugfix. Set up rayPick action method for nodes with a rayPick
	method.

2005-11-08 12:13  kyrah

	* BUGS:
	
	URL update.

2005-11-04 16:09  mortene

	* src/nodes/SoClipPlane.cpp:
	
	Doc: elaborate API doc, throw in another example.

2005-11-04 15:58  mortene

	* THANKS:
	
	Added Markus Grabner, for debugging and fixing problems with SoQt.

2005-11-04 14:43  pederb

	* src/vrml97/: ImageTexture.cpp, PixelTexture.cpp:
	
	Add missing rayPick action methods. Bug reported by wiesener.

2005-11-03 14:01  pederb

	* src/projectors/SbCylinderSectionProjector.cpp:
	
	Projector bugfix.

2005-11-03 12:50  pederb

	* src/: errors/SoReadError.cpp, io/SoInput_FileInfo.cpp:
	
	Less warnings on Inventor V1.0 import.

2005-11-03 12:20  kyrah

	* src/tidbits.c:
	
	s/Kyrah/kyrah/

2005-11-03 11:50  pederb

	* src/nodes/SoTexture3.cpp:
	
	Bugfix. Test for 3D texture support.

2005-11-01 17:55  pederb

	* include/Inventor/elements/SoGLVBOElement.h:
	
	Compile fix

2005-11-01 17:54  pederb

	* src/caches/SoPrimitiveVertexCache.cpp:
	
	compile fix

2005-11-01 15:21  larsa

	* src/fonts/freetype.c:
	
	correct arglist

2005-11-01 15:06  pederb

	* src/tidbits.c:
	
	Bugfix in coin_geq_prime_number().

2005-11-01 14:56  pederb

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:
	
	Added coin_runtime_os().

2005-11-01 13:49  pederb

	* src/caches/SoPrimitiveVertexCache.cpp:
	
	Simplify code by using the new SoVBO and SoVertexArrayIndexer
	classes.

2005-11-01 12:55  pederb

	* src/misc/: SoVertexArrayIndexer.cpp, SoVertexArrayIndexer.h:
	
	Documentation, and new functions to make it possible to reorganize
	the order of the indices.

2005-11-01 12:40  pederb

	* src/shapenodes/soshape_bumprender.cpp:
	
	Robustify code.

2005-10-31 15:00  pederb

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:
	
	New callback which is called after a new glglue instance has been
	created.

2005-10-28 18:35  kintel

	* src/glue/spidermonkey.c:
	
	Added JS_CompareStrings()

2005-10-28 18:34  kintel

	* include/Inventor/C/glue/spidermonkey.h:
	
	Added JS_CompareStrings() and typedef intN

2005-10-28 16:04  pederb

	* src/nodes/SoCamera.cpp:
	
	More stereo documentation.

2005-10-28 15:48  pederb

	* src/nodes/SoCamera.cpp:
	
	setStereoAdjustment() documentation.

2005-10-27 17:17  pederb

	* src/: shapenodes/SoPointSet.cpp, vrml97/PointSet.cpp:
	
	Don't use VBO limit to decide whether we should render PointSet
	using vertex arrays.

2005-10-27 15:56  mortene

	* src/share/gl/: CoinGLPerformance.cpp, CoinGLPerformance.h:
	
	Clean-up: rename symbols depending on module, to avoid namespace
	clashes upon linking. Problem reported by pederb.

2005-10-27 14:57  pederb

	* src/glue/gl.c:
	
	More info about the ATI VBO bug.

2005-10-27 14:46  mortene

	* THANKS:
	
	Add Arend Lammertink, for bug reports and fixes.

2005-10-27 11:21  mortene

	* src/nodes/SoDirectionalLight.cpp:
	
	Doc: adds hint for a common operation.

2005-10-26 17:27  larsa

	* build/msvc7/: coin2.sln, coin2.vcproj, install-headers.bat,
	include/config-debug.h, include/config-release.h:
	
	updates to build files

2005-10-26 16:59  larsa

	* build/msvc6/include/: config-debug.h, config-release.h:
	
	updates to config.h

2005-10-26 13:29  pederb

	* src/shapenodes/SoShape.cpp:
	
	Don't use VBOs inside displaylists if ATI vbo-in-displaylist bug is
	detected.

2005-10-26 13:27  pederb

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:
	
	Test for ATI vbo-in-displaylist bug.

2005-10-26 01:46  kyrah

	* include/discard.h.in:
	
	Bootstrap.

2005-10-26 01:36  kyrah

	* configure.ac, src/glue/gl_agl.c:
	
	Use HAVE_OPENGL_CGLCURRENT_H instead of HAVE_CGL

2005-10-26 00:49  kyrah

	* src/glue/gl_agl.c:
	
	Use CGL functions for setting and getting the current context,
	instead of AGL. (This makes it possible to use offscreen rendering
	when the onscreen context is not an AGL context, like e.g. in Sc21)

2005-10-26 00:22  kyrah

	* include/discard.h.in:
	
	Bootstrap.

2005-10-25 23:45  kyrah

	* configure.ac:
	
	(More or less redundant) check for CGL on Mac OS X.

2005-10-25 15:33  pederb

	* src/engines/SoConvertAll.cpp:
	
	compile fix.

2005-10-25 13:45  kyrah

	* src/fonts/freetype.c:
	
	Explicit cast to get rid of gcc-4 warning.

2005-10-25 13:13  kyrah

	* configure.ac, src/glue/dl.c:
	
	Mac OS X runtime binding fix: Look for libraries included in the
	Inventor.framework also when using the dl interface instead of
	dyld.

2005-10-24 12:45  pederb

	* src/base/SbTesselator.cpp:
	
	Fix point-on-edge tesselation problem. Bug reported by Volker
	Enderlein.

2005-10-24 10:58  mortene

	* src/fonts/freetype.c:
	
	Robustness: report problems when tessellating, don't just ignore
	them.

2005-10-21 15:43  mortene

	* src/fonts/freetype.c:
	
	Bugfix: takes care of a bug which could cause crash when using
	FreeType library.

2005-10-21 12:35  mortene

	* src/fonts/freetype.c:
	
	Debugging: catch a recently introduced bug with an assert.

2005-10-21 11:49  mortene

	* src/engines/SoConvertAll.cpp:
	
	Cleanup, attempted workaround for compiler bug: don't misuse
	macros. The old code also caused g++ 3.3.2 to hang.

2005-10-20 10:55  mortene

	* src/glue/gl.c:
	
	Compile fix: for 64-bit MSVC7.

2005-10-19 17:19  larsa

	* build/msvc6/: coin2.dsp, install-headers.bat:
	
	update

2005-10-19 16:43  larsa

	* src/nodes/SoFile.cpp:
	
	catch eof, not by NUL being returned

2005-10-19 12:50  mortene

	* README, configure.ac:
	
	bootstrap

2005-10-19 12:16  mortene

	* configure.ac, src/Makefile.am, src/misc/CoinGLPerformance.cpp,
	src/misc/CoinGLPerformance.h, src/misc/Makefile.am:
	
	Reorg: some files are now taken from the shared directory of the
	Coin dev module.

2005-10-19 11:46  mortene

	* src/share/gl/: CoinGLPerformance.cpp, CoinGLPerformance.h:
	
	Reorganize: move some source code related to internal workings into
	a directory to be shared among several Coin3D projects.

2005-10-18 15:35  kyrah

	* configure.ac:
	
	Mac OS X runtime binding update: use dlopen() on Mac OS 10.4 ff.

2005-10-18 11:48  pederb

	* src/elements/GL/SoGLDisplayList.cpp:
	
	Fix for recently introduced bug.

2005-10-18 11:29  pederb

	* src/misc/: CoinGLPerformance.cpp, CoinGLPerformance.h:
	
	Compile fixes.

2005-10-18 11:23  pederb

	* src/misc/SoGLImage.cpp:
	
	compile fix

2005-10-18 11:18  pederb

	* src/misc/SoGLImage.cpp:
	
	compile fixes.

2005-10-18 11:13  kyrah

	* src/glue/gl_agl.c:
	
	Removed redundant aglSetDrawable() call. Do not assume to have an
	AGL drawable when trying to reinstate the previous context (since
	the previous context might have been offscreen as well).

2005-10-18 11:10  pederb

	* include/Inventor/misc/SoGLImage.h:
	
	compile fix

2005-10-18 11:04  kyrah

	* src/glue/dl.c:
	
	Mac OS X simage runtime loading fix: Path to Resources directory
	has changed due to the changed install_name of Coin.

2005-10-18 10:57  pederb

	* src/misc/SoGLImage.cpp:
	
	Reenable support for GL_SGIS_generate_mipmap

2005-10-18 10:55  pederb

	* include/Inventor/misc/SoGLImage.h, src/misc/SoGLImage.cpp:
	
	Sync with Coin-dev. Support for Anisotropic filtering. Reduce the
	number of mutexes used. Proper support for setting the correct
	texture target.

2005-10-18 10:50  pederb

	* include/Inventor/elements/SoGLDisplayList.h,
	src/elements/GL/SoGLDisplayList.cpp:
	
	Added new functions for setting the texture target.

2005-10-17 13:59  kintel

	* include/Inventor/C/glue/spidermonkey.h:
	
	Added note about Spidermonkey bug

2005-10-17 12:00  mortene

	* src/misc/: CoinGLPerformance.h, CoinGLPerformance.cpp,
	Makefile.am:
	
	New internal feature: provides a generic framework for testing and
	comparing performance of OpenGL functionality.

2005-10-13 17:57  pederb

	* include/Inventor/fields/SoSubField.h:
	
	gcc 4.0.0 bug workaround.

2005-10-13 17:49  pederb

	* src/nodes/SoTexture2.cpp:
	
	Detect changes in texture scale policy. Bug reported by Mike Krus.

2005-10-12 14:44  kyrah

	* src/misc/SoType.cpp:
	
	Doc update: Use -dynamiclib flag on Mac OS X.

2005-10-12 14:30  pederb

	* src/actions/SoReorganizeAction.cpp:
	
	Vertex array documentation.

2005-10-12 10:59  pederb

	* src/nodekits/SoNodekitCatalog.cpp:
	
	Fix for catalog item order. Reported by Thomas Steube.

2005-10-11 16:29  pederb

	* src/nodekits/SoNodekitCatalog.cpp:
	
	Make it possible to insert new parts into an existing catalog.
	Problem reported by Thomas Steube.

2005-10-11 04:43  kyrah

	* configure.ac:
	
	Fix for building as a Mac OS X framework against X11: Don't assume
	GL linkage to be -framework OpenGL, but use the variables set by
	the OpenGL detection macro instead.

2005-10-10 16:48  pederb

	* src/shapenodes/SoIndexedFaceSet.cpp:
	
	Bugfix in generatePrimitives() for PER_FACE_INDEXED normal binding.
	Reported by larsa.

2005-10-10 15:33  pederb

	* src/threads/mutex.c:
	
	Fix calling convention for TryEnterCriticalSection.

2005-10-10 14:21  larsa

	* src/misc/SoBase.cpp:
	
	expand on comment

2005-10-06 17:30  pederb

	* src/shapenodes/SoText2.cpp:
	
	Compile fix. Reported by kyrah.

2005-10-06 14:14  kyrah

	* src/Makefile.am:
	
	Make framework relocatable by using a non-absolute install_name.

2005-10-06 14:11  kyrah

	* Makefile.am:
	
	Added comment.

2005-10-06 10:54  pederb

	* src/shapenodes/SoText2.cpp:
	
	Optimize SoText2 rendering.

2005-10-05 18:18  pederb

	* src/shapenodes/SoText2.cpp:
	
	Use a memory buffer to avoid tons of mallocs/frees every frame.

2005-10-05 17:53  kyrah

	* src/Makefile.am:
	
	Minor framework structure fix, added Versions/Current/Inventor
	symlink.

2005-10-05 17:53  pederb

	* src/fonts/freetype.c:
	
	Plug memory leak.

2005-10-05 17:26  pederb

	* src/fonts/fontlib_wrapper.c:
	
	Fix memory leak.

2005-10-05 16:03  pederb

	* src/actions/SoLineHighlightRenderAction.cpp:
	
	Fixes line highlight rendering for models with materialbinding !=
	OVERALL and/or with normals.

2005-10-05 10:52  pederb

	* src/shapenodes/SoShape.cpp:
	
	Fix bug for cases where OpenGL has no vertex buffer object support.
	Reported by thammer.

2005-10-05 10:41  pederb

	* src/shapenodes/soshape_primdata.cpp:
	
	Set line detail pointers before invoking the line segment callback.
	Bug reported by Frank Hibbeln.

2005-10-04 15:32  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	SoTexture2 handling bugfix.

2005-10-04 12:25  pederb

	* src/nodes/SoTextureUnit.cpp:
	
	Also update texture unit for SoPickAction.

2005-10-04 12:22  pederb

	* src/vrml97/ImageTexture.cpp:
	
	Consider the texture unit before updating the texture image and
	texture enables elements (sync from coin-dev).

2005-10-04 12:19  pederb

	* src/nodes/SoTexture2.cpp:
	
	Consider texture unit also for callback action.

2005-10-04 12:06  pederb

	* src/nodes/SoTextureUnit.cpp:
	
	Update texture unit also for SoCallbackAction.

2005-10-04 11:58  pederb

	* src/nodes/SoTextureUnit.cpp:
	
	Bugfix. Enable SoTextureUnitElement for pick and callback action.
	Bug reported by Kristofer Tingdahl.

2005-10-03 16:28  pederb

	* src/misc/PointerMap.cpp:
	
	Fix recently introduced (static) memory leak.

2005-10-03 13:37  kintel

	* include/Inventor/C/glue/spidermonkey.h, src/glue/spidermonkey.c:
	
	Added JS_ObjectIsFunction()

2005-09-30 18:53  larsa

	* src/misc/SoSceneManager.cpp:
	
	disallow recursive event processing

2005-09-30 18:35  kyrah

	* cfg/gendsp.sh.in:
	
	Bootstrap.

2005-09-30 17:42  larsa

	* src/misc/SoSceneManager.cpp:
	
	remember grabber

2005-09-30 17:34  larsa

	* src/misc/SoSceneManager.cpp:
	
	bugfix

2005-09-30 17:24  kyrah

	* packaging/macosx/: CoinTools_Welcome.rtf, Coin_Welcome.rtf:
	
	Update.

2005-09-30 17:06  kyrah

	* Makefile.am, packaging/macosx/inst-README-.txt.in,
	packaging/macosx/inst-README-Jaguar.txt.in,
	packaging/macosx/inst-README-Panther.txt.in,
	packaging/macosx/makeinstdmg.sh.in,
	packaging/macosx/makenoinstdmg.sh.in,
	packaging/macosx/noinst-README-.txt.in,
	packaging/macosx/noinst-README-Jaguar.txt.in,
	packaging/macosx/noinst-README-Panther.txt.in:
	
	Switch from OS-name test to gcc version test.

2005-09-30 14:47  kyrah

	* packaging/macosx/: inst-README-gcc3.txt.in,
	inst-README-gcc4.txt.in, noinst-README-gcc3.txt.in,
	noinst-README-gcc4.txt.in:
	
	To gcc4 or not to gcc4, that is the question... Who cares about
	Panther or Jaguar anymore?

2005-09-29 16:29  pederb

	* src/elements/GL/SoGLCacheContextElement.cpp:
	
	Deadlock fix in extSupported(). Reported by Nikolai Ruhe.

2005-09-28 21:18  kyrah

	* packaging/macosx/inst-dmg-files/coin_dmg_bg.tiff,
	packaging/macosx/inst-dmg-files/dmg_bg.tiff,
	packaging/macosx/noinst-dmg-files/coin_dmg_bg.tiff,
	packaging/macosx/noinst-dmg-files/dmg_bg.tiff,
	packaging/macosx/makedmg.sh.in, Makefile.am:
	
	Renamed coin_dmg_bg.tiff to dmg_bg.tiff

2005-09-28 18:27  kintel

	* include/Inventor/C/glue/spidermonkey.h, src/glue/spidermonkey.c:
	
	Substituted JS_ValueToECMAInt32() for JS_ValueToInt32() since the
	latter is buggy, see Mozilla bug #284032

2005-09-28 15:50  pederb

	* src/misc/SoBase.cpp:
	
	gcc4 compile fixes

2005-09-28 15:47  pederb

	* src/fields/: SoField.cpp, SoFieldContainer.cpp:
	
	gcc4 compile fixes.

2005-09-27 18:58  kyrah

	* Makefile.am:
	
	Create symlink to SoQt.framework when installing Coin instead of
	when installing SoQt. (This makes it possible to drag and drop the
	frameworks indvidually without running any scripts.)

2005-09-26 16:50  larsa

	* build/: msvc6/coin2.dsp, msvc6/install-headers.bat,
	msvc6/include/Inventor/system/gl.h, msvc7/coin2.sln,
	msvc7/coin2.vcproj, msvc7/install-headers.bat,
	msvc7/include/Inventor/system/gl.h:
	
	updated build files

2005-09-26 13:35  pederb

	* src/: misc/SoVertexArrayIndexer.cpp,
	caches/SoPrimitiveVertexCache.cpp:
	
	Compile fixes. By larsa.

2005-09-23 16:27  pederb

	* src/actions/SoSimplifyAction.cpp:
	
	Remove stub macro

2005-09-23 16:13  pederb

	* src/actions/SoSimplifyAction.cpp:
	
	Bugfix

2005-09-23 15:55  thammer

	* src/misc/SoJavaScriptEngine.cpp:
	
	Compile fix

2005-09-23 12:45  pederb

	* src/shapenodes/SoShape.cpp:
	
	Major SORTED_OBJECT_SORTED_TRIANGLE_BLEND optimiaztion.

2005-09-23 12:45  pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/caches/SoPrimitiveVertexCache.cpp:
	
	Merged code from Coin-dev. Support for depth sorting triangles.
	Fallback to immediate rendering if vertex arrays isn't available.
	Default to using VBO if available.

2005-09-22 19:39  kyrah

	* packaging/macosx/makecoinpkg.sh.in:
	
	Mac OS 10.3 installer bug workaround: Force permissions for root
	directory to be root:admin (will be ignored on 10.4, as it should
	be).

2005-09-22 17:25  kyrah

	* packaging/macosx/makecoinpkg.sh.in:
	
	Permissions of installed framework in /Library/Frameworks should be
	root:admin.

2005-09-22 16:49  pederb

	* src/misc/: PointerMap.cpp, PointerMap.h, SoDB.cpp:
	
	Make PointerMap threadsafe.

2005-09-22 15:51  pederb

	* include/Inventor/actions/SoReorganizeAction.h,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoGLLazyElement.h,
	include/Inventor/elements/SoGLVBOElement.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/nodes/SoShape.h,
	src/actions/SoReorganizeAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/elements/SoElement.cpp,
	src/elements/GL/SoGLLazyElement.cpp,
	src/elements/GL/SoGLVBOElement.cpp, src/misc/SoVBO.cpp,
	src/misc/SoVBO.h, src/misc/SoVertexArrayIndexer.cpp,
	src/misc/SoVertexArrayIndexer.h, src/nodes/SoBaseColor.cpp,
	src/nodes/SoCoordinate3.cpp, src/nodes/SoCoordinate4.cpp,
	src/nodes/SoMaterial.cpp, src/nodes/SoNormal.cpp,
	src/nodes/SoPackedColor.cpp, src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoTextureCoordinate3.cpp, src/nodes/SoVertexProperty.cpp,
	src/shapenodes/SoIndexedFaceSet.cpp,
	src/shapenodes/SoIndexedLineSet.cpp, src/shapenodes/SoPointSet.cpp,
	src/shapenodes/SoShape.cpp, src/vrml97/IndexedFaceSet.cpp,
	src/vrml97/IndexedLineSet.cpp, src/vrml97/PointSet.cpp:
	
	VA/VBO rendering. Ported from Coin development.

2005-09-22 15:47  mortene

	* src/nodes/: SoBlinker.cpp, SoPendulum.cpp, SoShuttle.cpp:
	
	Bugfix: don't write unmodified fields. Reported by larsa.

2005-09-22 15:43  pederb

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	src/glue/gl.c:
	
	Some new GL wrappers.

2005-09-22 15:42  pederb

	* src/misc/: PointerMap.cpp, PointerMap.h:
	
	Internal class used for looking up pimpl-pointers.

2005-09-22 12:28  pederb

	* include/Inventor/system/gl.h.in:
	
	some new GL defines.

2005-09-21 17:59  pederb

	* src/misc/: Makefile.am, PointerMap.cpp, PointerMap.h,
	all-misc-cpp.cpp:
	
	build update.

2005-09-21 17:48  pederb

	* include/Inventor/elements/Makefile.am,
	include/Inventor/elements/SoGLVBOElement.h,
	src/elements/GL/Makefile.am, src/elements/GL/SoGLVBOElement.cpp,
	src/elements/GL/all-glelements-cpp.cpp:
	
	build update.

2005-09-21 17:20  pederb

	* include/Inventor/actions/Makefile.am,
	include/Inventor/actions/SoReorganizeAction.h,
	include/Inventor/actions/SoSimplifyAction.h,
	src/actions/Makefile.am, src/actions/SoReorganizeAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/all-actions-cpp.cpp,
	src/misc/Makefile.am, src/misc/SoVBO.cpp, src/misc/SoVBO.h,
	src/misc/SoVertexArrayIndexer.cpp, src/misc/SoVertexArrayIndexer.h,
	src/misc/all-misc-cpp.cpp:
	
	Build update.

2005-09-21 11:04  kintel

	* src/vrml97/JS_VRMLClasses.cpp:
	
	adapted to recent changes in SoJavaScriptEngine

2005-09-21 11:01  kintel

	* include/Inventor/misc/SoJavaScriptEngine.h,
	src/misc/SoJavaScriptEngine.cpp:
	
	generalized static field2jsval() and jsval2field() into a static
	getEngine(). Fixed an ugly bug sending wrong data to
	JS_AddRoot()/JS_RemoveRoot(). Smaller coding style and naming
	standard fixes.

2005-09-21 10:54  kintel

	* include/Inventor/misc/SoScriptEngine.h:
	
	coding style

2005-09-20 18:01  larsa

	* examples/misc/ivcp.cpp:
	
	beautify source

2005-09-20 17:49  pederb

	* src/actions/SoRayPickAction.cpp:
	
	Minor picking precision fix.

2005-09-20 16:30  larsa

	* configure.ac:
	
	static build/debug changes

2005-09-20 15:43  larsa

	* models/dead_simple/all-iv.iv:
	
	add unimplemented nodes

2005-09-20 15:41  handegar

	* include/Inventor/misc/SoJavaScriptEngine.h,
	src/misc/SoJavaScriptEngine.cpp:
	
	Added pimpl class.

2005-09-20 14:24  larsa

	* build/: msvc6/coin2.dsp, msvc6/install-headers.bat,
	msvc6/include/config-debug.h, msvc6/include/config-release.h,
	msvc6/include/Inventor/C/basic.h, msvc7/coin2.sln,
	msvc7/coin2.vcproj, msvc7/install-headers.bat,
	msvc7/include/config-debug.h, msvc7/include/config-release.h,
	msvc7/include/Inventor/C/basic.h:
	
	update for intermediate versioning / new header files

2005-09-20 12:58  mortene

	* src/nodes/: SoLOD.cpp, SoVertexProperty.cpp:
	
	Bugfix: don't write fields in default state. Problem found, and fix
	suggested, by larsa.

2005-09-20 12:43  larsa

	* include/Inventor/Makefile.am:
	
	install new compatibility headers

2005-09-20 12:42  larsa

	* include/Inventor/: nodes/SoExtSelection.h, nodes/SoFontStyle.h,
	nodes/SoWWWInline.h, VRMLnodes/SoVRMLFontStyle.h,
	VRMLnodes/SoVRMLInline.h, non_winsys.h, oivwin32.h:
	
	TGS compatibility includes

2005-09-20 01:29  larsa

	* NEWS, configure.ac:
	
	new beta version

2005-09-20 01:22  larsa

	* docs/announcement-2_4_4.txt:
	
	typo fix

2005-09-20 01:16  larsa

	* docs/ChangeLog.v2.4.4:
	
	move ChangeLog

